<?php
namespace moonlight\eticket;
class eticket_agency {
	private $co_db;
	public function __construct( $p_co_db ){
		$this->co_db = $p_co_db;
	}
	public function __destruct(){
		unset($this->co_db);
	}
	/**
	 * Add new agency
	 *
	 * @access public
	 * @return
	 */
	public function agency_save( $p_data ){
		return $this->co_db->agency_save( $p_data );
	}
	/**
	 * Retrieve agency by id
	 *
	 * @access public
	 * @return
	 */
	public function agency_get_by_id($p_location_id){
		return $this->co_db->agency_get_by_id($p_location_id);
	}
	/**
	 * Update agency
	 *
	 * @access public
	 * @return
	 */
	public function agency_update( $p_data, $p_id_to_update_table ){
		return $this->co_db->agency_update( $p_data, $p_id_to_update_table );
	}
	/**
	 * Soft delete agency
	 *
	 * @access public
	 * @return
	 */
	public function agency_delete( $p_value ){
		$v_result = $this->co_db->agency_delete( $p_value );
		return $v_result;
	}
	/**
	 * Retrieve agency listing
	 *
	 * @access public
	 * @return
	 */
	public function agency_list_with_no_post($p_cond=NULL, $p_sort_by=NULL, $p_order_by=NULL, $p_page_start=NULL, $p_page_length=NULL){
		return $this->co_db->agency_list_with_no_post($p_cond, $p_sort_by, $p_order_by, $p_page_start, $p_page_length);
	}
}
?>