<?php
namespace moonlight\eticket;
class eticket_dashboard_mysql {
	private $co_db_root;
	public function __call($name, $arguments){
		$v_tmp_arr = explode("_", $name);
		$v_call_obj = $v_tmp_arr[0];
		if(isset($this->co_db_root)){
			return call_user_func_array(array($this->co_db_root, $name), $arguments);
		}
	}
	public function __construct( &$p_co_db ){
		$this->co_db_root = $p_co_db;
	}
	/**
	 * get Yearly Transactions
	 *
	 * @access public
	 * @return
	 */
	public function dashboard_get_transactions($p_month){
		$v_col_name_l = "location_id";
		$v_location_condition = \E::get('obj_curr_module')->get_location_condition($v_col_name_l);
		$v_col_name = "agency_id";
		$v_agency_condition = \E::get('obj_curr_module')->get_agency_condition($v_col_name);
		$v_current_year = date("Y");
		$v_query = "SELECT
						COUNT(*) as eachMonthTransactions
					FROM
						" . $this->get_db_table_prefix() . "sales_transaction
					INNER JOIN
						" . $this->get_db_table_prefix() . "tickets
					ON
						" . $this->get_db_table_prefix() . "sales_transaction.id = " . $this->get_db_table_prefix() . "tickets.sales_transaction_id
					WHERE
						" . $this->get_db_table_prefix() . "sales_transaction._rec_status = 'SHOW'
					AND YEAR(transaction_date) = '".\U::safe_sql_string($v_current_year)."' 
					AND MONTH(transaction_date) = '".\U::safe_sql_string($p_month)."' 
					".$v_location_condition." 
				 	".$v_agency_condition." 
				";
		return $this->co_db_root->execute_query($v_query);
	}
}
?>