<?php
namespace moonlight\eticket\lang;
class en extends \moonlight\lang\lang_base implements \moonlight\moonlight_lang{
	public function get_version(){			return '1.0.0';			}
	public function get_last_updated(){		return '2020-08-30';	}
	protected $SYSTEM_NAME = 'eTicketing';
	protected $COPY_RIGHT = '&COPY; 2021 All Rights Reserved.';
	protected $MENU_HOME = 'Home';
	protected $MENU_SYSTEM = 'Setup & Configuration';
	protected $MENU_APPLICATION = 'Application';
	protected $MENU_ARTICLE = 'Article';
	protected $MENU_USER = 'User';
	protected $MENU_USER_GROUP = 'User Group';
	protected $MENU_AGENCY_PROFILE = 'Agency Profile';
	protected $MENU_LOCATION_PROFILE = 'Location Profile';
	protected $MENU_TICKET_CATEGORY = 'Ticket Category';
	protected $MENU_TICKET_PROFILE = 'Ticket Profile';
	protected $MENU_TICKET_TEMPLATE = 'Ticket Template';
	protected $MENU_TICKET_OVERVIEW_CHART = 'Ticket Overview Chart';
	protected $MENU_AUDIT_TRAIL = 'Audit Trail';
	protected $BTN_BACK_TO_LISTING = 'Back to Listing';
	protected $MENU_TICKET_SALE = 'Ticket Sale';
	protected $MENU_TICKET_BUY = 'Buy A Ticket';
	protected $MENU_TICKET_LISTING = 'Ticket Listing';
	protected $MENU_REPORTS_HEADING = 'Reports';
	protected $MENU_REPORT_SAME_DAY = 'Same Day Report';
	protected $MENU_REPRINT_TICKET = 'Reprint Report';
	protected $MENU_USER_ACCOUNT_MAINTENANCE = 'User Account Maintenance';
	protected $DELETE_RECORD_SWEET_ALERT = 'Are you sure you want to delete this record?';
	protected $LBL_EN = 'English';
	protected $LBL_BM = 'Bahasa Malaysia';
	protected $CONFIRM_DELETE = 'Confirm deleting this record?';
	protected $DATE_MODIFIED = 'Date Modified';
	protected $RECORD_SAVED = 'Record saved.';
	protected $BTN_CONFIRM_DELETE = 'Yes, delete it!';
	protected $SUCCESS = 'Success';
	protected $FAILED = 'Failed';
	protected $RECORD_DELETED = 'Record deleted.';
	protected $RECORD_ADDED = 'Record added.';
	protected $RECORD_UPDATED = 'Record updated.';
	protected $RECORD_CONFIRMED = 'Record Confirmed.';
	protected $FAILED_TO_DELETE_RECORD = 'Failed to delete record.';
	protected $HAS_BILLING_NO_DELETE_ALLOWED = 'Account has billing in processing. Deleting account is not allowed.';
	protected $IN_AP503_NO_DELETE_ALLOWED = 'Account is pending or in processing for AP503. Deleting account is not allowed.';
	protected $FAILED_TO_ADD_RECORD = 'Failed to add record.';
	protected $FAILED_TO_UPDATE_RECORD = 'Failed to update record.';
	protected $FAILED_TO_CONFIRM_RECORD = 'Failed to confirm record.';
	protected $FAILED_TO_UPLOAD_FILE = 'Failed to upload file.';
	protected $ERR_TOKEN_DOES_NO_MATCH = "Token Does Not Match.";
	protected $RECORD_NOT_FOUND = "Record Not Found";
	protected $ERR_ACCESS_DENIED = "Access Denied.";
	protected $MSG_SUCCESSFUL = "Successful";
	protected $CONFIRM_TERMINATE = 'Confirm terminate this account?';
	protected $BTN_CONFIRM_TERMINATE = 'Yes, terminate it!';
	protected $ACC_TERMINATED = 'Account terminated.';
	protected $FAILED_TO_TERMINATE_ACC = 'Failed to terminate account.';
	protected $HAS_BILLING_NO_TERMINATE_ALLOWED = 'Account has billing in processing. Terminating account is not allowed.';
	protected $FILE_UPLOADED = 'File uploaded.';
	protected $FILE_DOWNLOADED = 'File downloaded.';
	protected $FAILED_TO_ADD_BILL = 'Failed to add bill. The bill for the selected month and year has been existed. Please check.';
	protected $CONFIRM_EDIT_PROCESSING = 'Confirm edit the debit file that had been already submitted?';
	protected $BTN_CONFIRM_EDIT = 'Yes, edit it!';
	protected $BTN_GENERATE = 'Generate';
	protected $TOTAL_BILL = 'Total Bill Selected';
	protected $BILL_ADDED = 'Bill added';
	protected $BILL_DELETED = 'Bill deleted';
	protected $FAILED_TO_ADD_BILL_DETAILS = 'Failed to add bill';
	protected $FAILED_TO_DELETE_BILL_DETAILS = 'Failed to delete bill';
	protected $SAVE_AS_DRAFT = 'File save to draft';
	protected $FAILED_TO_SAVE_AS_DRAFT = 'File failed to save to draft';
	protected $FAILED_TO_ADD_CUT_OFF_DATE = 'Cut-Off Date of selected year had been existed. Please Check.';
	protected $LBL_READ = 'Read';
	protected $LBL_EDIT = 'Edit';
	protected $LOGIN_WITH_SARAWAK_ID = 'Login With Sarawak ID';
	protected $LOGIN_OR_WITH_SARAWAK_ID = 'OR';
	protected $LOGIN_LDAP_ERROR = 'Record Not Found In eTicketing System, Please Contact Your System Administrator';
	protected $LOGIN_LDAP_ERROR_INACTIVE = 'Your account status is in-active, Please Contact Your System Administrator';
	protected $MODULE_NOT_AUTHORISED = "<b>RESTRICTED</b><br><br>You have attempted to access a restricted page.<br><br>If you require access to a blocked page, or believe that a page is being blocked in error, please forward that information, including the exact URL, to <a href='mailto:<MAIL>'><MAIL>.</a>";
	protected $MODULE_REDIRECT_MSG = "You will be redirected in <span id='timeCount'></span>seconds. ";
	protected $MODULE_AUTHORISED_ERROR = "Error Message";
	protected $CONTACT_ADMIN_FOR_MORE_INFO = 'The server is failed to process your request. Please contact administrator for more information.';
	protected $SIGN_IN_TO_START_YOUR_SESSION = "Sign in to start your session";
	protected $MOBILE_BILLING_SYSTEM = "Water Billing System Version 2.0";
	protected $LOGIN_FORM_NAME_HEADING = "eTicketing";
	protected $LISTING_COLOUM_VALUE_INACTIVE = "inactive";
}
?>
