<!DOCTYPE html>
<html>
<head>
	<meta http-equiv="Content-Type" content="text/html; charset=utf-8">
	<title>e-Ticketing Ticket Purchased</title>
</head>
<body style="font-family: Arial, Helvetica, sans-serif; font-size: 12px; color: #000000;">
<style type="text/css">
    *, body {
        font-family: "Source Sans Pro", -apple-system, BlinkMacSystemFont, "Segoe UI", Roboto, "Helvetica Neue", Arial, sans-serif, "Apple Color Emoji", "Segoe UI Emoji", "Segoe UI Symbol";
        font-size: 16px;
        line-height: 1.5;
        appearance: none;
    }
</style>
<div style="width: 1024px; margin: 0 auto;">
	<div style="width: 700px; margin: 0 auto; margin-bottom: 20px;">
		<?php
		if (isset($v_tickets_receipt_data)) {
			if (count($v_tickets_receipt_data) > 0) {
				foreach ($v_tickets_receipt_data as $v_transaction_loop => $v_each_receipt) { ?>
					<div style="border-radius: 8px !important;background-color: #CCCCCC !important;">
						<p style="padding-top: 1rem!important;text-align: center;margin:0;padding:0;font-weight:500;color:#646464;">
							<?php
								if (isset($v_location_data[0]['name']) && $v_location_data[0]['name'] != "") {
									echo $v_location_data[0]['name'];
								}
							?>
						</p>
						<p style="text-align:center;margin:0;padding:0;font-weight:500;color:#646464;">Address:
							<span style="font-weight:normal;font-size:14px;"><?php echo $v_each_receipt[$v_transaction_loop]['address']; ?></span>
						</p>
						<p style="text-align:center;margin:0;padding:0;font-weight:500;color:#646464;">Tel:
							<span style="font-weight:normal;font-size:14px;">
                                <?php echo $v_each_receipt[$v_transaction_loop]['contact_no']; ?>
                            </span>, Fax:
							<span style="font-weight:normal;font-size:14px;">
                                <?php echo $v_each_receipt[$v_transaction_loop]['fax']; ?>
                            </span>
						</p>
						<p style="text-align:center;margin:0;padding:0;font-weight:500;color:#646464;">Email:
							<span style="font-weight:normal;font-size:14px;">
                                <?php echo $v_each_receipt[$v_transaction_loop]['l_email']; ?>
                            </span>
						</p>
						<p style="width: 94%;color: #656565;float: left;font-weight: 500;margin: 0;padding: 0;padding-left: 18px;font-size:16px;margin-top:10px;">
							Receipt No.:
							<span style="font-weight:normal;font-size:14px;">
                                <?php echo $v_each_receipt[$v_transaction_loop]['receipt_no']; ?>
                            </span>
						</p>
						<p style="width: 54%;color: #656565;float: left;font-weight: 500;margin: 0;padding: 0;padding-left: 18px;font-size: 16px;">
							<span style="display: block">Cashier:</span>
							<span style="font-weight:normal;font-size:14px;">
                                <?php echo $v_each_receipt[$v_transaction_loop]['usr_full_name']; ?>
                            </span>
						</p>
						<p style="text-align: right;width: 37%;color: #656565;float: left;font-weight: 500;margin: 0;padding: 0;padding-right: 18px;font-size: 16px;">
							<span style="display:block;text-align:left;padding-left:6px;">Date: </span>
							<span style="font-weight:normal;font-size:14px;">
                                <?php echo date("d/m/Y H:i:s", strtotime($v_each_receipt[$v_transaction_loop]['transaction_date'])); ?>
                            </span>
						</p>
						<div style="clear: both;"></div>
						<hr style="padding: 0;height: 1px;background: #dee2e6;width: 92%;margin: auto;margin-bottom: 6px;margin-top: 10px;"/>
						<table style="font-size:14px;padding-bottom:22px;width:92%;margin-left:20px;">
							<tbody>
							<tr style="border-bottom: 2px solid #DEE2E6;">
								<th style="width: 25%!important;text-align: left;">
									&nbsp;<?php echo \E::get('obj_curr_module_lang')->get('BUY_TICKET_TICKET'); ?></th>
								<th style="width: 25%!important;text-align: center;">
									&nbsp;<?php echo \E::get('obj_curr_module_lang')->get('BUY_TICKET_QUANTITY'); ?></th>
								<th style="width: 25%!important;text-align: right;">
									&nbsp;<?php echo \E::get('obj_curr_module_lang')->get('BUY_TICKET_UNIT_PRICE'); ?></th>
								<th style="width: 25%!important;text-align: right;">
									&nbsp;<?php echo \E::get('obj_curr_module_lang')->get('BUY_TICKET_AMOUNT'); ?></th>
							</tr>
							<?php
							$v_ticket_qty_total = 0;
							$v_ticket_profile_price_total = 0;
							foreach ($v_each_receipt as $v_ticket_loop => $v_each_ticket_data) {
								?>
								<tr height="40px">
									<td style="width: 25%!important;text-align: left;"><?php echo $v_each_ticket_data['c_category_name']; ?></td>
									<td style="width: 25%!important;text-align: center;"><?php echo $v_each_ticket_data['ticket_qty']; ?></td>
									<td style="width: 25%!important;text-align: right;"><?php echo \E::get('obj_curr_module_lang')->get('BUY_TICKET_CURRENCY_SYMBOL'); ?><?php echo number_format($v_each_ticket_data['profile_price'], 2, '.', ','); ?></td>
									<td style="width: 25%!important;text-align: right;"><?php echo \E::get('obj_curr_module_lang')->get('BUY_TICKET_CURRENCY_SYMBOL'); ?><?php echo number_format($v_each_ticket_data['profile_price'] * $v_each_ticket_data['ticket_qty'], 2, '.', ','); ?></td>
								</tr>
								<?php
								$v_ticket_profile_price_total += $v_each_ticket_data['profile_price'] * $v_each_ticket_data['ticket_qty'];
								$v_ticket_qty_total += $v_each_ticket_data['ticket_qty'];
							} ?>
							<tr height="40px">
								<td>
									&nbsp;<b><?php echo \E::get('obj_curr_module_lang')->get('BUY_TICKET_TOTAL_QUANTITY'); ?></b>
								</td>
								<td style="text-align: center;">&nbsp;<b><?php echo $v_ticket_qty_total; ?></b></td>
							</tr>
							<tr></tr>
							<tr height="60px">
								<td colspan="3">
									&nbsp;<b style="font-size: 17px;"><?php echo \E::get('obj_curr_module_lang')->get('BUY_TICKET_TOTAL_AMOUNT_TOTAL'); ?></b>
								</td>
								<td colspan="1" style="text-align: right;">
									&nbsp;<b><?php echo \E::get('obj_curr_module_lang')->get('BUY_TICKET_CURRENCY_SYMBOL'); ?><?php echo number_format($v_ticket_profile_price_total, 2, '.', ','); ?></b>
								</td>
							</tr>
							<tr height="40px">
								<td colspan="3"  style="font-size: 18px;">
									&nbsp;<b><?php echo \E::get('obj_curr_module_lang')->get('BUY_TICKET_CASH_TEXT'); ?></b>
								</td>
								<td colspan="1" style="text-align: right;">
									&nbsp;<b><?php echo \E::get('obj_curr_module_lang')->get('BUY_TICKET_CURRENCY_SYMBOL'); ?><?php echo number_format($v_each_ticket_data['received_amount'], 2, '.', ','); ?></b>
								</td>
							</tr>
							<tr height="40px">
								<td colspan="3"  style="font-size: 18px;">
									&nbsp;<b><?php echo \E::get('obj_curr_module_lang')->get('BUY_TICKET_CHANGE_TEXT'); ?></b>
								</td>
								<td colspan="1" style="text-align: right;">
									&nbsp;<b><?php echo \E::get('obj_curr_module_lang')->get('BUY_TICKET_CURRENCY_SYMBOL'); ?><?php echo number_format($v_each_ticket_data['received_amount'] - $v_ticket_profile_price_total, 2, '.', ','); ?></b>
								</td>
							</tr>
							<tr>
								<td colspan="10" style="font-size: 17px;text-align:center;"> <?php echo \E::get('obj_curr_module_lang')->get('BUY_TICKET_THANK_YOU_MESSAGE'); ?> </td>
								<td colspan="1">&nbsp;</td>
							</tr>
							</tbody>
						</table>
					</div>
					<?php
				}
			}
		} ?>
	</div>
	<div style="clear: both;"></div>
	<div style="width: 100%; margin: 0 auto;">
		<?php
		foreach ($v_tickets_data as $v_key => $v_each_ticket_receipt) {
			foreach ($v_each_ticket_receipt as $v_key_each_template => $v_view_data) {
				$v_ticket_template_element_positions_data = \E::get('obj_curr_module')->ticket_template_element_positions_get_by_id($v_view_data['id']);
				$v_agency_location_logo = \E::get('obj_curr_module')->ticket_template_element_positions_get_by_element_type($v_view_data['id'], "agency_location_logo");
				$v_select_location_address = \E::get('obj_curr_module')->ticket_template_element_positions_get_by_element_type($v_view_data['id'], "select_location_address");
				$v_select_location_dropdown = \E::get('obj_curr_module')->ticket_template_element_positions_get_by_element_type($v_view_data['id'], "select_location_dropdown");
				?>
				<div style="width: 1024px;height: 520px;border: 3px solid #4B89D0;background-color: #EDEDED;padding: 10px;margin-bottom: 21px;box-sizing: border-box;">
					<div style="position: relative;border-radius: 15px;padding: 7px;padding-bottom: 15px;top: 0px;width: 98%;left: 0;height: 465px;">
						<div style="border: 1px dashed; position: absolute; left: <?php echo $v_agency_location_logo['element_pos_x']; ?>px; top: <?php echo $v_agency_location_logo['element_pos_y']; ?>px; border-radius: 15px; width: <?php echo $v_agency_location_logo['element_width']; ?>px; height: <?php echo $v_agency_location_logo['element_height']; ?>px; padding: 7px;padding-bottom: 15px; margin: 0px;color: rgb(0, 186, 211); border: none !important;">
							<?php
							$v_agency_location_flag = "";
							$v_directory_name = "";
							$v_logo_data = "";
							$v_ticket_logo = "";
							if ($v_view_data['logo'] && $v_view_data['logo'] != '') {
								if ($v_view_data['logo'] == "agency_logo") {
									$v_agency_prefix = \E::get('obj_curr_module')->location_get_code_table_data_on_key_name("agency_img_prefix");
									$v_obj_setting['obj'] = \E::get('obj_curr_module');
									$v_att_master_id = $v_agency_prefix['key_value'] . $v_view_data['c_user_agency_id'];
									$v_att_id = \E::get('obj_curr_module')->att_get_by_id($v_att_master_id);
									$v_file_id = $v_att_id['sftp_par_id'];
									if (isset($v_file_id)) {
										$v_doc = \A::attachment_get($v_obj_setting, $v_file_id, TRUE, TRUE);
										$v_image_data = file_get_contents($v_doc['tmp_name']); // path to file like /var/tmp/...
										$v_var['image_data_ticket_temp'] = $v_image_data;
										$v_ticket_logo = $v_image_data;
									}
									$v_agency_location_flag = "agency";
								} else if ($v_view_data['logo'] != "") {
									$v_location_prefix = \E::get('obj_curr_module')->location_get_code_table_data_on_key_name("location_img_prefix");
									$v_obj_setting['obj'] = \E::get('obj_curr_module');
									$v_att_master_id = $v_location_prefix['key_value'] . $v_view_data['logo'];
									$v_att_id = \E::get('obj_curr_module')->att_get_by_id($v_att_master_id);
									$v_file_id = $v_att_id['sftp_par_id'];
									if (isset($v_file_id)) {
										$v_doc = \A::attachment_get($v_obj_setting, $v_file_id, TRUE, TRUE);
										$v_image_data = file_get_contents($v_doc['tmp_name']); // path to file like /var/tmp/...
										$v_var['image_data_ticket_temp'] = $v_image_data;
										$v_ticket_logo = $v_image_data;
									}
									$v_agency_location_flag = "location";
								}
							}
							$v_logo_show_hide = "";
							if ($v_agency_location_flag != '') {
								$v_logo_show_hide = " display:block; width: 97%;height: 97%;display: block;z-index: 1;position: absolute;border-radius: 9px;top: 2px;left: 2px; ";
							}
							?>
							<div id="ajax_logo_img_container">
								<?php
								$v_f_img = '';
								if ($v_ticket_logo != "") {?>
									<img src="data:image/png;base64,<?php echo base64_encode($v_ticket_logo);?>" style="width: 97%;height: 97%;display: block;z-index: 1;position: absolute;border-radius: 9px;top: 2px;left: 2px" />';
								<?php
								}?>
							</div>
						</div>
						<div style="border: 1px dashed; position: absolute; left: <?php echo $v_select_location_address['element_pos_x']; ?>px; top: <?php echo $v_select_location_address['element_pos_y']; ?>px; border-radius: 15px; width: <?php echo $v_select_location_address['element_width']; ?>px; height: <?php echo $v_select_location_address['element_height']; ?>px; padding: 7px; margin: 0px;color: rgb(0, 186, 211); border: none !important;">
							<?php
							if (isset($v_location_data) && count($v_location_data) > 0) {
								foreach ($v_location_data as $v_key => $v_location_data_each) {
									if ($v_location_data_each['id'] == $v_view_data['location']) { ?>
										<p style="font-weight: bold;"><?php echo \U::safe_display_string($v_location_data_each['name']); ?></p>
										<?php
									}
								}
							}
							?>
						</div>
						<div style="border: 1px dashed; position: absolute; left: <?php echo $v_select_location_dropdown['element_pos_x']; ?>px; top: <?php echo $v_select_location_dropdown['element_pos_y']; ?>px; border-radius: 15px; width: <?php echo $v_select_location_dropdown['element_width']; ?>px; height: <?php echo $v_select_location_dropdown['element_height']; ?>px; padding: 7px; margin: 0px;color: rgb(0, 186, 211); border: none !important;">
							<p ><?php echo \U::safe_display_string($v_view_data['address']); ?></p>
						</div>
						<?php
						$counter_element_dynamic = 3;
						if (isset($v_ticket_template_element_positions_data) && $v_ticket_template_element_positions_data != '' && count($v_ticket_template_element_positions_data) > 0) {
							foreach ($v_ticket_template_element_positions_data as $key => $each_element) { ?>
								<div data-element_count="<?php echo $counter_element_dynamic; ?>" style="border: 1px dashed; position: absolute; left: <?php echo $each_element['element_pos_x']; ?>px; top: <?php echo $each_element['element_pos_y']; ?>px; border-radius: 15px; width: <?php echo $each_element['element_width']; ?>px; height: <?php echo $each_element['element_height']; ?>px; padding: 3px; margin: 0px;color: rgb(0, 186, 211); border: none !important;">
									<?php
									if ($each_element['element_type'] == "textarea") { ?>
										<p style="font-weight: bold;"><?php echo $each_element['element_value']; ?></p>
										<?php
									} else if ($each_element['element_type'] == "text_feild") { ?>
										<p style="font-weight: bold;"><?php echo $each_element['element_value']; ?></p>
										<?php
									} else if ($each_element['element_type'] == "file") {
										$v_loc_img_prefix = \E::get('obj_curr_module')->location_get_code_table_data_on_key_name("ticket_template_img_prefix");
										$v_obj_setting['obj'] = \E::get('obj_curr_module');
										$v_att_master_id = $v_loc_img_prefix['key_value'] . $each_element['id'];
										$v_att_id = \E::get('obj_curr_module')->att_get_by_id($v_att_master_id);
										$v_file_id = $v_att_id['sftp_par_id'];
										$v_image_data = "";
										if (isset($v_file_id)) {
											$v_doc = \A::attachment_get($v_obj_setting, $v_file_id, TRUE, TRUE);
											$v_image_data = file_get_contents($v_doc['tmp_name']); // path to file like /var/tmp/...
										}
										if ($v_image_data != "") { ?>
											<img src="data:image/png;base64,<?php echo base64_encode($v_image_data); ?>" style="width: 100%;height: 100%;margin-top: 0;position: absolute;border-radius: 13px;display: block;top: 0;left: 0;background: #EDEDED;z-index: 50;"/>
											<?php
										}
									}
									?>
								</div>
								<?php
								$counter_element_dynamic++;
							}
						}
						?>
						<p style="position: absolute;bottom: -22px;right: 3px;font-weight: bold;color: #26C9DA;"><?php echo $v_view_data['reference_number']; ?></p>
					</div>
				</div>
				<?php
			}
		} ?>
	</div>
</div>
</body>
</html>