<?php \I::load_error("MESSAGE");
$v_access_delete = \E::get('obj_curr_module')->ajax_validation_check_permission('delete');
$v_access_edit = \E::get('obj_curr_module')->ajax_validation_check_permission('edit');
$v_readoilny_status = "";
$v_edit_process_path = "";
if (isset($v_controller_name) && $v_controller_name == "view") {
	$v_readoilny_status = "readonly";
	$v_controller_name = $v_controller_name;
} else {
	$v_edit_process_path = \E::get('obj_curr_module')->build_action_path('ticket_profile', 'edit', $v_id);
	$v_controller_name = "";
}
?>
	<form id="frm_acl" action="<?php echo $v_edit_process_path; ?>" name="frm_acl" method="post" enctype="multipart/form-data">
		<div class="content-header pl-0 pb-0 pt-0 mx-n3 px-0">
			<input type="hidden" name="old_value" value='<?php echo json_encode($v_view_data); ?>'>
			<div class="container-fluid">
				<div class="row mb-2">
					<div class="col-sm-12 breadcrumb_container">
						<a href="<?php echo \E::get('obj_curr_module')->build_action_path('home', 'index'); ?>">
							<?php echo \E::get('obj_curr_module_lang')->get('TICKET_PROFILE_BREADCRUMB_HOME'); ?>
						</a> /
						<a href="<?php echo \E::get('obj_curr_module')->build_action_path('system_administrator', 'list'); ?>">
							<?php echo \E::get('obj_curr_module_lang')->get('TICKET_PROFILE_BREADCRUMB_SETUP_CONFIGURATION'); ?>
						</a> /
						<a href="<?php echo \E::get('obj_curr_module')->build_action_path('ticket_setting', 'list'); ?>">
							<?php echo \E::get('obj_curr_module_lang')->get('TICKET_PROFILE_BREADCRUMB_TICKET_SETTING'); ?>
						</a> /
						<?php echo \E::get('obj_curr_module_lang')->get('TICKET_PROFILE_BREADCRUMB_TICKET_PROFILE'); ?>
					</div>
					<div class="col-sm-12 pl-3 pt-3">
						<h5 class="m-0 pb-0 module_name"><?php echo \E::get('obj_curr_module_lang')->get('TICKET_PROFILE_EDIT'); ?></h5>
					</div>
				</div>
			</div>
		</div>
		<hr/>
		<?php
		$v_session_msg = \E::get_session(\E::get('MOONLIGHT_CURRENT_COMPONENT') . '-' . $v_id);
		if ($v_session_msg != '') {
			?>
			<div class="alert alert-primary alert-dismissible" role="alert">
				<?PHP echo $v_session_msg; ?>
				<button type="button" class="close" data-dismiss="alert" aria-label="Close">
					<span aria-hidden="true">×</span>
				</button>
			</div>
			<?php
			\E::unset_session(\E::get('MOONLIGHT_CURRENT_COMPONENT') . '-' . $v_id);
		}
		?>
		<div class="row form-group">
			<label for="ticket_profile_code" class="col-sm-3 col-form-label"> <?php echo \E::get('obj_curr_module_lang')->get('TICKET_PROFILE_TICKET_CODE'); ?>
				<span class="text-danger">*</span></label>
			<div class="col-sm-8">
				<input type="text" class="text form-control compulsory" name="ticket_profile_code" maxlength="40" max="40"  id="ticket_profile_code" value="<?php echo \U::safe_display_string($v_view_data['code']); ?>" <?php echo $v_readoilny_status; ?> />
				<span class="text-danger" id="username_duplicate_check"></span>
			</div>
		</div>
		<div class="row form-group">
			<label for="ticket_profile_name" class="col-sm-3 col-form-label"> <?php echo \E::get('obj_curr_module_lang')->get('TICKET_PROFILE_TICKET_NAME'); ?>
				<span class="text-danger">*</span></label>
			<div class="col-sm-8">
				<input type="text" class="text form-control compulsory" name="ticket_profile_name" maxlength="40" max="40"  id="ticket_profile_name" value="<?php echo \U::safe_display_string($v_view_data['name']); ?>" <?php echo $v_readoilny_status; ?> />
				<span class="text-danger" id="username_duplicate_check_name"></span>
			</div>
		</div>
		<div class="row form-group">
			<label for="ticket_profile_category" class="col-sm-3 col-form-label"> <?php echo \E::get('obj_curr_module_lang')->get('TICKET_PROFILE_CATEGORY'); ?> </label>
			<div class="col-sm-8">
				<select name="ticket_profile_category" id="ticket_profile_category_validate" class="form-control">
					<?php $v_category = \U::safe_display_string($v_view_data['category']); ?>
					<?php if (isset($v_ticket_categories)) {
						foreach ($v_ticket_categories as $v_list) {
							if ($v_list['id'] == $v_category) { ?>
								<option selected value="<?php echo \U::safe_display_string($v_list['id']); ?>"><?php echo \U::safe_display_string($v_list['name']) . " - " . \U::safe_display_string($v_list['code']); ?></option>
								<?php
							} else { ?>
								<option value="<?php echo \U::safe_display_string($v_list['id']); ?>"><?php echo \U::safe_display_string($v_list['name']) . " - " . \U::safe_display_string($v_list['code']); ?></option>
								<?php
							}
						}
					} ?>
				</select>
			</div>
		</div>
		<div class="row form-group">
			<label for="ticket_profile_price" class="col-sm-3 col-form-label"> <?php echo \E::get('obj_curr_module_lang')->get('TICKET_PROFILE_PRICE'); ?> </label>
			<div class="col-sm-8">
				<input type="number" step="0.01" class="text form-control" name="ticket_profile_price" id="ticket_profile_price" value="<?php echo \U::safe_display_string($v_view_data['price']); ?>" <?php echo $v_readoilny_status; ?> />
			</div>
		</div>
		<div class="row form-group">
			<label for="ticket_profile_agency_name" class="col-sm-3 col-form-label"> <?php echo \E::get('obj_curr_module_lang')->get('TICKET_PROFILE_AGENCY_NAME'); ?> </label>
			<div class="col-sm-8">
				<select class="form-control compulsory" id="ticket_profile_agency_name" name="ticket_profile_agency_name" <?php echo $v_readoilny_status; ?> onchange="get_agency_locations();">
					<?php
					$v_logged_in_user_type = \E::get_session('logged_in_user_type');
					if ($v_logged_in_user_type == 0) { ?>
						<option value=""></option>
					<?php }
					if (isset($v_agency_dta) && count($v_agency_dta) > 0) {
						foreach ($v_agency_dta as $v_key => $v_agency_dta) {
							if ($v_view_data['agency'] == $v_agency_dta['ag_id']) { ?>
								<option selected value="<?php echo \U::safe_display_string($v_agency_dta['ag_id']); ?>"><?php echo \U::safe_display_string($v_agency_dta['ag_name']); ?></option>
								<?php
							} else { ?>
								<option value="<?php echo \U::safe_display_string($v_agency_dta['ag_id']); ?>"><?php echo \U::safe_display_string($v_agency_dta['ag_name']); ?></option>
								<?php
							}
						}
					}
					?>
				</select>
			</div>
		</div>
		<div class="row form-group">
			<label for="ticket_profile_location" class="col-sm-3 col-form-label"> <?php echo \E::get('obj_curr_module_lang')->get('TICKET_PROFILE_LOCATION'); ?> <span class="text-danger">*</span>  </label>
			<div class="col-sm-8">
				<?php $v_location = \U::safe_display_string($v_view_data['location']); ?>
				<input type="hidden" name="selected_location_id" id="selected_location_id" value="<?php echo $v_location; ?>">
				<select name="ticket_profile_location" id="ticket_profile_location_validate" class="form-control compulsory" <?php if (isset($v_template_made_status) && $v_template_made_status > 0) { ?> disabled title="<?php echo \E::get('obj_curr_module_lang')->get('USER_LISTING_PROFILE_EDIT_ERROR'); ?>"><?php } ?>></select>
			</div>
		</div>
		<div class="row form-group">
			<label for="ticket_profile_remarks" class="col-sm-3 col-form-label"> <?php echo \E::get('obj_curr_module_lang')->get('TICKET_PROFILE_REMARKS'); ?></label>
			<div class="col-sm-8">
				<input type="text" class="text form-control" name="ticket_profile_remarks" id="ticket_profile_remarks_validate" value="<?php echo \U::safe_display_string($v_view_data['remarks']); ?>" <?php echo $v_readoilny_status; ?> />
			</div>
		</div>
		<div class="row form-group">
			<label for="usr_upadted_date" class="col-sm-3 col-form-label"><?php echo \E::get('obj_curr_module_lang')->get('USER_UPDATED_DATE'); ?></label>
			<div class="col-sm-8">
				<input type="text" class="form-control" name="usr_upadted_date" id="usr_upadted_date" placeholder="<?php echo \E::get('obj_curr_module_lang')->get('USER_UPDATED_DATE'); ?>" value="<?php echo \U::safe_display_string(date("d/m/Y H:i:s", strtotime($v_re_modified_date))); ?>" readonly>
			</div>
		</div>
		<div class="row form-group">
			<label for="usr_last_upadted_date" class="col-sm-3 col-form-label"><?php echo \E::get('obj_curr_module_lang')->get('USER_LATS_UPDATED_DATE'); ?></label>
			<div class="col-sm-8">
				<input type="text" class="form-control " name="usr_last_upadted_date" id="usr_last_upadted_date" placeholder="<?php echo \E::get('obj_curr_module_lang')->get('USER_LATS_UPDATED_DATE'); ?>" value="<?php echo \U::safe_display_string($v_re_modified_by); ?>" readonly>
			</div>
		</div>
		<div class="row">
			<div class="col-md-2"></div>
			<div class="col-md-5 text-center">
				<a href="<?php echo \E::get('obj_curr_module')->build_action_path('ticket_profile', 'list'); ?>">
					<button type="button" class="btn btn-default width-135px">
						<?php echo \E::get('obj_curr_module_lang')->get('BTN_BACK_TO_LISTING'); ?>
					</button>
				</a>
				<?php
				if ($v_access_delete) {
					if (isset($v_template_made_status) && $v_template_made_status > 0) { ?>
						<button type="button" class="btn btn-danger" disabled title="<?php echo \E::get('obj_curr_module_lang')->get('USER_LISTING_PROFILE_EDIT_ERROR'); ?>">
							<?php echo \E::get('obj_kernel_lang')->get('BTN_DELETE'); ?>
						</button>
						<?php
					} else { ?>
						<a href="javascript:void(0)" onclick="delete_record(<?php echo $v_id; ?>)">
							<button type="button" class="btn btn-danger">
								<?php echo \E::get('obj_kernel_lang')->get('BTN_DELETE'); ?>
							</button>
						</a>
						<?php
					}
				}
				if ($v_access_edit) { ?>
					<button type="button" class="btn btn-primary" id="submit_form" onclick="check_validations()">
						<?php echo \E::get('obj_curr_module_lang')->get('BTN_EDIT_UPDATE'); ?>
					</button>
					<?php
				}
				?>
			</div>
		</div>
	</form>
	<script language="javascript">
		function get_agency_locations() {
			var v_agency_id = $("#ticket_profile_agency_name").val();
			var v_location_id = $("#selected_location_id").val();
			var v_list_url = '<?php echo \E::get('obj_curr_module')->build_action_path('ticket_profile', 'code_validate_ajax'); ?>';
			var v_url = v_list_url + '?v_agency_id=' + escape(v_agency_id) + '&v_location_id=' + escape(v_location_id);
			var v_response = makeGETRequest(v_url, 'ticket_profile_location_validate', 'after_locationns_load', 'false');
		}
		function after_locationns_load(response) {
			$("#ticket_profile_location_validate").html(response);
		}
		function check_validations() {
			if (validate(document.frm_acl)) {
				$("#submit_form").prop("disabled", true);
				var v_location_code = $("#ticket_profile_code").val();
				var v_list_url = '<?php echo \E::get('obj_curr_module')->build_action_path('ticket_profile', 'code_validate_ajax'); ?>';
				var v_url = v_list_url + '?v_location_code=' + escape(v_location_code) + '&v_action=edit' + '&v_primary_table_id=' +<?php echo $v_id;?>;
				var v_response = makeGETRequest(v_url, 'username_duplicate_check', 'after_load', '', '', '');
			}
		}
		function after_load(response) {
			var v_check_error_found = $('#duplication_error_found').val();
			if (v_check_error_found != 1) {
				$("#submit_form").prop("disabled", true);
				var v_location_name = $("#ticket_profile_name").val();
				var v_list_url = '<?php echo \E::get('obj_curr_module')->build_action_path('ticket_profile', 'code_validate_ajax'); ?>';
				var v_url = v_list_url + '?v_location_name=' + escape(v_location_name) + '&v_action=edit' + '&v_primary_table_id=' +<?php echo $v_id;?>;
				var v_response = makeGETRequest(v_url, 'username_duplicate_check_name', 'after_load_name', '', '', '');
			} else {
				$('#ticket_profile_code').focus();
				$("#submit_form").prop("disabled", false);
			}
		}
		function after_load_name(response) {
			var v_check_error_found = $('#duplication_error_found_name').val();
			if (v_check_error_found != 1) {
				document.frm_acl.submit();
			} else {
				$('#ticket_profile_name').focus();
				$("#submit_form").prop("disabled", false);
			}
		}
		function delete_record(p_id) {
			if (p_id != '') {
				Swal.fire({
					title: '<font class="title_heading">Are you sure you want to delete this record?</font>',
					imageUrl: "<?php echo \E::get('obj_curr_module')->get_image_path() . '/warning_sign.png';?>",
					imageWidth: 50,
					imageHeight: 50,
					imageAlt: 'Custom image',
					html: '<hr class="sweet_hr" />',
					showCloseButton: true,
					showCancelButton: true,
					cancelButtonColor: '#FFF',
					cancelButtonText: "No",
					confirmButtonColor: '#337AB7',
					confirmButtonText: "Yes",
				}).then((result) => {
					if (result.value) {
						window.location = "<?PHP echo \E::get('obj_curr_module')->build_action_path('ticket_profile', 'delete'); ?>" + p_id;
					}
				});
			}
		}
		var v_cookie_name = "<?php echo \U::generateUniqueCookieName(MOONLIGHT_DNS_PATH . MOONLIGHT_FOLDER_PATH); ?>_admin_edit_user";
		var v_list;
		var v_init = false;
		var v_init_page = 0;
		var v_init_div_code, v_init_div_name;
		$(document).ready(
			function () {
				<?php
				$v_session_msg_title = \E::get_session(\E::get('MOONLIGHT_CURRENT_COMPONENT') . '-message-title');
				$v_session_msg = \E::get_session(\E::get('MOONLIGHT_CURRENT_COMPONENT') . '-message');
				$v_session_msg_status = \E::get_session(\E::get('MOONLIGHT_CURRENT_COMPONENT') . '-message-status');
				if($v_session_msg_title != '' && $v_session_msg != ''){
				?>
				Swal.fire({
					title: '<font  class="title_heading">' + "<?php echo $v_session_msg;?>" + '</font>',
					imageUrl: "<?php echo \E::get('obj_curr_module')->get_image_path() . '/success_icon.png';?>",
					imageWidth: 50,
					imageHeight: 50,
					imageAlt: 'Custom image',
					html: '<hr class="sweet_hr" />',
					cancelButtonColor: '#FFF',
					showCancelButton: false,
					cancelButtonText: "Ok",
				});
				<?php
				\E::unset_session(\E::get('MOONLIGHT_CURRENT_COMPONENT') . '-message-title');
				\E::unset_session(\E::get('MOONLIGHT_CURRENT_COMPONENT') . '-message');
				\E::unset_session(\E::get('MOONLIGHT_CURRENT_COMPONENT') . '-message-status');
				}
				?>
			}
		);
		$('#ticket_profile_price').keypress(function (event) {
			if ((event.which != 46 || $(this).val().indexOf('.') != -1) &&
				((event.which < 48 || event.which > 57) &&
					(event.which != 0 && event.which != 8))) {
				event.preventDefault();
			}
			var text = $(this).val();
			if ((text.indexOf('.') != -1) &&
				(text.substring(text.indexOf('.')).length > 2) &&
				(event.which != 0 && event.which != 8) &&
				($(this)[0].selectionStart >= text.length - 2)) {
				event.preventDefault();
			}
		});
		get_agency_locations();
	</script>
<?php
\I::load_error();
?>