<style type="text/css">
    @media print {
        html {
            height: auto !important;
        }
    }
</style>
<div class="content-header pl-0 pb-0 pt-0 mx-n3 px-0">
	<div class="container-fluid pl-0">
		<div class="row mb-2">
			<div class="col-sm-12 breadcrumb_container">
				<a href="<?php echo \E::get('obj_curr_module')->build_action_path('home', 'index'); ?>">
					<?php echo \E::get('obj_curr_module_lang')->get('TICKET_TEMPLATE_BREADCRUMB_HOME'); ?>
				</a> /
				<a href="<?php echo \E::get('obj_curr_module')->build_action_path('system_administrator', 'list'); ?>">
					<?php echo \E::get('obj_curr_module_lang')->get('TICKET_TEMPLATE_BREADCRUMB_SETUP_CONFIGURATION'); ?>
				</a> /
				<a href="<?php echo \E::get('obj_curr_module')->build_action_path('ticket_setting', 'list'); ?>">
					<?php echo \E::get('obj_curr_module_lang')->get('TICKET_TEMPLATE_BREADCRUMB_TICKET_SETTING'); ?>
				</a> /
				<?php echo \E::get('obj_curr_module_lang')->get('TICKET_TEMPLATE_BREADCRUMB_TICKET_TEMPLATE'); ?>
			</div>
			<div class="col-sm-12">
				<h5 class="m-0 pb-0 module_name pl-3"><?php echo \E::get('obj_curr_module_lang')->get('TICKET_TEMPLATE_COMP_NAME'); ?></h5>
			</div>
		</div>
	</div>
</div>
<hr class="top_hr p-0 mb-4"/>
<div class="row add_elements">
	<div class="col-md-3">
		<button type="button" class="btn w-100 btn-default custom_button_ticket_template" onclick="add_new_field(this, 'text_feild');">
			<i class="fa fa-plus"></i> <?php echo \E::get('obj_curr_module_lang')->get('TICKET_TEMPLATE_SIMPLE_TEXT_FIELDS'); ?>
		</button>
	</div>
	<div class="col-md-3">
		<button type="button" class="btn w-100 btn-default custom_button_ticket_template" onclick="add_new_field(this, 'textarea');">
			<i class="fa fa-plus"></i> <?php echo \E::get('obj_curr_module_lang')->get('TICKET_TEMPLATE_MULTI_LINE_TEXTAREA'); ?>
		</button>
	</div>
	<div class="col-md-3">
		<button type="button" class="btn w-100 btn-default custom_button_ticket_template" onclick="add_new_field(this, 'file');">
			<i class="fa fa-plus"></i> <?php echo \E::get('obj_curr_module_lang')->get('TICKET_TEMPLATE_ATTACH_A_FILE'); ?>
		</button>
	</div>
</div>
<script>
	var iCnt = 3;
	// var handlesType = 'e,w,s,n';
	var handlesType = 'e,s,se';
	function add_new_field(element = null, field_type, elementHeight = null, elementWidth = null, elementTop = '234', elementLeft = '384') {
		if (field_type && field_type != '') {
			// DEFINE INITITAL VARIABLES STARTS
			var minHeight = 40;
			var maxHeight = 40;
			var zIndex = 49;
			var minWidth = 200;
			if (element) {
				$(element).attr("disabled", true);
			}
			// DEFINE INITITAL VARIABLES ENDS
			// MAIN CONDITIONS FOR ELEMENTS STARTS
			if (field_type == "text_feild") {
				var Width = 200;
				var Height = 40;
				if (elementHeight) {
					Height = elementHeight;
				}
				if (elementWidth) {
					Width = elementWidth;
				}
				var dynamic_div = $(document.createElement('div')).css({
					border: '1px dashed',
					position: 'absolute',
					left: elementLeft + "px",
					top: elementTop + "px",
					borderRadius: "15px",
					display: 'none',
					width: Width,
					height: Height,
					padding: '3',
					margin: '0'
				});
				$(dynamic_div).append('<input type="text" name="fields_data[' + iCnt + '][elementFieldValue]" class="text form-control newly_created_element_styling input_type_text_ticket_template_styling" placeholder="<?php echo \E::get('obj_curr_module_lang')->get('TICKET_TEMPLATE_ENTER_TEXT_HERE'); ?>" />');
			} else if (field_type == "textarea") {
				var Width = 300;
				var Height = 80;
				if (elementHeight) {
					Height = elementHeight;
				}
				if (elementWidth) {
					Width = elementWidth;
				}
				var dynamic_div = $(document.createElement('div')).css({
					border: '1px dashed',
					position: 'absolute',
					left: elementLeft + "px",
					top: elementTop + "px",
					borderRadius: "15px",
					display: 'none',
					width: Width,
					height: Height,
					padding: '3',
					margin: '0'
				});
				$(dynamic_div).append('<textarea class="form-control newly_created_element_styling"  name="fields_data[' + iCnt + '][elementFieldValue]" oninput="auto_grow(this)" style="max-width: 990px; width: 100%; max-height:464px; height:100%; overflow:hidden" placeholder="<?php echo \E::get('obj_curr_module_lang')->get('TICKET_TEMPLATE_ENTER_MULTI_LINE_TEXT'); ?>"></textarea>');
				maxHeight = 464;
			} else if (field_type == "file") {
				var Width = 200;
				var Height = 115;
				if (elementHeight) {
					Height = elementHeight;
				}
				if (elementWidth) {
					Width = elementWidth;
				}
				var dynamic_div = $(document.createElement('div')).css({
					border: '1px dashed',
					position: 'absolute',
					left: elementLeft + "px",
					top: elementTop + "px",
					borderRadius: "15px",
					display: 'none',
					width: Width,
					height: Height,
					color: '#00bad3',
					padding: '3',
					margin: '0'
				});
				$(dynamic_div).append('<p class="ticket_image_camera_icon"> <i class="fa fa-camera "></i> </p><input type="file"  name="fields_data' + iCnt + '" class="custom-file-input cus-div-input ticket_image_bg_name newly_created_file_index' + iCnt + '" onchange="ticket_image_file_change(this,' + iCnt + ')" /><p class="ticket_image_camera_text"> Upload Image <br></p><img src="" class="preview_po_img_background preview_po_img_background_file' + iCnt + '" /><span class="remove_ticket_background_image remove_ticket_background_image_file' + iCnt + ' remove_image_icon_preview" onclick="remove_attached_image(this,' + iCnt + ');" ><i class="fas fa-times font_size_color_template"></i></span>');
				maxHeight = 464;
				minHeight = 115;
				minWidth = 70;
			}
			// MAIN CONDITIONS FOR ELEMENTS ENDS
			// GENERIC INPUT HIDDEN FIELDS STARTS
			$(dynamic_div).append('<input type="hidden" name="fields_data[' + iCnt + '][elementType]" value="' + field_type + '" />');
			$(dynamic_div).append('<input type="hidden" class="element_' + iCnt + '_xPos" name="fields_data[' + iCnt + '][xPos]" value="' + elementLeft + '" />');
			$(dynamic_div).append('<input type="hidden" class="element_' + iCnt + '_yPos" name="fields_data[' + iCnt + '][yPos]" value="' + elementTop + '" />');
			$(dynamic_div).append('<input type="hidden" class="element_' + iCnt + '_width" name="fields_data[' + iCnt + '][width]" value="' + Width + '" />');
			$(dynamic_div).append('<input type="hidden" class="element_' + iCnt + '_height" name="fields_data[' + iCnt + '][height]" value="' + Height + '" />');
			// GENERIC INPUT HIDDEN FIELDS ENDS
			// ADD SOME CLASSES TO THE NEWLY CREATED ELEMENT STARTS
			$(dynamic_div).attr("data-element_count", iCnt);
			$(dynamic_div).addClass("element_id_" + iCnt);
			$(dynamic_div).addClass("ui-widget-content");
			$(dynamic_div).addClass("draggable");
			// ADD SOME CLASSES TO THE NEWLY CREATED ELEMENT ENDS
			// APPEND ELEMENT IN CONTAINER STARTS
			$(dynamic_div).append('<span onclick="remove_element(' + iCnt + ');" class="remove_ticket_logo_image_dynamic remove_image_icon_preview remove_element_permanentaly"><i class="fas fa-times font_size_color_template"></i></span>');
			$(dynamic_div).appendTo('#containment-wrapper');
			// APPEND ELEMENT IN CONTAINER ENDS
			// APPLY DRAGABLE AND SORTABLE TO THE NEWLY CREATED ELEMENT STARTS
			$(dynamic_div).draggable({
				containment: "#containment-wrapper",
				zIndex: 2500,
				stop: function (event, ui) {
					var elementIndex = $(this).data("element_count");
					$(".element_" + elementIndex + "_xPos").val(ui.position.left);
					$(".element_" + elementIndex + "_yPos").val(ui.position.top);
				}
			});
			$(dynamic_div).resizable({
				containment: "#containment-wrapper",
				handles: handlesType,
				minHeight: minHeight,
				maxHeight: maxHeight,
				zIndex: zIndex,
				minWidth: minWidth,
				stop: function (event, ui) {
					var elementIndex = $(this).data("element_count");
					$(".element_" + elementIndex + "_width").val(ui.size.width);
					$(".element_" + elementIndex + "_height").val(ui.size.height);
				}
			});
			// APPLY DRAGABLE AND SORTABLE TO THE NEWLY CREATED ELEMENT ENDS
			// ACTIVE DEACTIVE ELEMENT AFTER CLICKING STARTS
			$(dynamic_div).fadeIn(1000)
			setInterval(function () {
				$(element).attr("disabled", false)
			}, 1000);
			iCnt++;
			// ACTIVE DEACTIVE ELEMENT AFTER CLICKING ENDS
		}
	}
	window.setTimeout(function () {
		var elementHeight = '130';
		var elementWidth = '219';
		var elementTop = '0';
		var elementLeft = '769';
		add_new_field("", 'file', elementHeight, elementWidth, elementTop, elementLeft);
	}, 300);
	window.setTimeout(function () {
		var elementHeight = '100';
		var elementWidth = '219';
		var elementTop = '153';
		var elementLeft = '769';
		add_new_field("", 'file', elementHeight, elementWidth, elementTop, elementLeft);
	}, 600);
	window.setTimeout(function () {
		var elementHeight = '140';
		var elementWidth = '745';
		var elementTop = '175';
		var elementLeft = '0';
		add_new_field("", 'textarea', elementHeight, elementWidth, elementTop, elementLeft);
	}, 900);
	window.setTimeout(function () {
		var elementHeight = '20';
		var elementWidth = '745';
		var elementTop = '345';
		var elementLeft = '0';
		add_new_field("", 'text_feild', elementHeight, elementWidth, elementTop, elementLeft);
	}, 1200);
	window.setTimeout(function () {
		var elementHeight = '100';
		var elementWidth = '220';
		var elementTop = '275';
		var elementLeft = '768';
		add_new_field("", 'textarea', elementHeight, elementWidth, elementTop, elementLeft);
	}, 1500);
	function remove_element(element_id) {
		Swal.fire({
			title: '<font class="title_heading">Are you sure you want to Delete the Element?</font>',
			imageUrl: "<?php echo \E::get('obj_curr_module')->get_image_path() . '/warning_sign.png';?>",
			imageWidth: 50,
			imageHeight: 50,
			imageAlt: 'Custom image',
			html: '<hr class="sweet_hr" />',
			cancelButtonColor: '#FFF',
			confirmButtonColor: '#337AB7',
			showCloseButton: true,
			showCancelButton: true,
			cancelButtonText: "No",
			confirmButtonText: "Yes",
		}).then((result) => {
			if (result.value) {
				$(".element_id_" + element_id).slideUp(600);
				setInterval(function () {
					$(".element_id_" + element_id).remove();
				}, 600);
			}
		});
	}
</script>
<form class="mt-4" id="frm_ticket_profile" name="frm_ticket_profile" method="post" enctype="multipart/form-data">
	<div id="printing_section">
		<div id="containment-wrapper" class="print_container">
			<!-- TICKE LOGO LOCATION OR AGENCY STARTS -->
			<div class="ticket_logo_drag_drop_resize main_logo_container draggable select_location_container ui-widget-content">
				<input type="hidden" name="fields_data[0][elementType]" value="agency_location_logo"/>
				<input type="hidden" name="fields_data[0][elementFieldValue]" value=""/>
				<input type="hidden" class="element_0_xPos" name="fields_data[0][xPos]" value="0"/>
				<input type="hidden" class="element_0_yPos" name="fields_data[0][yPos]" value="0"/>
				<input type="hidden" class="element_0_width" name="fields_data[0][width]" value="130"/>
				<input type="hidden" class="element_0_height" name="fields_data[0][height]" value="140"/>
				<span class="ticket_template_required_fields ticket_template_required_feild_logo_location">*</span>
				<select name="logo_change_select" id="logo_change_select" onchange="get_locations_data_logo(this)" class="select_location_dropdown logo_select compulsory">
					<option value=""><?php echo \E::get('obj_curr_module_lang')->get('TICKET_TEMPLATE_LOGO'); ?></option>
					<optgroup label="Agency Logo">
						<option value="agency_logo"><?php echo \E::get('obj_curr_module_lang')->get('TICKET_TEMPLATE_AGENCY_LOGO'); ?></option>
					</optgroup>
					<optgroup label="Location Logo">
						<?php
						if (isset($v_location_data) && count($v_location_data) > 0) {
							foreach ($v_location_data as $v_key => $v_location_data_each) {
								if ($v_location_data_each['id'] == $v_location_value) { ?>
									<option selected="" value="<?php echo \U::safe_display_string($v_location_data_each['id']); ?>"><?php echo \U::safe_display_string($v_location_data_each['name']); ?></option>
									<?php
								} else { ?>
									<option value="<?php echo \U::safe_display_string($v_location_data_each['id']); ?>"><?php echo \U::safe_display_string($v_location_data_each['name']); ?></option>
									<?php
								}
							}
						}
						?>
					</optgroup>
				</select>
				<div id="ajax_logo_img_container">
				</div>
				<span class="remove_ticket_logo_image remove_image_icon_preview"><i class="fas fa-times font_size_color_template"></i></span>
			</div>
			<!-- TICKE LOGO LOCATION OR AGENCY ENDS -->
			<!-- SELECT LOCATION FOR ADDRESSES + LOCATION ADDRESS TEXTAREA STARTS -->
			<div class="select_location_drag_drop_resize draggable select_location_container ui-widget-content">
				<input type="hidden" name="fields_data[1][elementType]" value="select_location_address"/>
				<input type="hidden" name="fields_data[1][elementFieldValue]" value=""/>
				<input type="hidden" class="element_1_xPos" name="fields_data[1][xPos]" value="160"/>
				<input type="hidden" class="element_1_yPos" name="fields_data[1][yPos]" value="0"/>
				<input type="hidden" class="element_1_width" name="fields_data[1][width]" value="577"/>
				<input type="hidden" class="element_1_height" name="fields_data[1][height]" value="50"/>
				<span class="ticket_template_required_fields ticket_template_required_feild_location_position">*</span>
				<select name="locations_main_dropdown" onchange="get_locations_data_main()" id="locations_main_dropdown" class="select_location_dropdown locations_ajax_addresses compulsory ">
					<option selected value=""><?php echo \E::get('obj_curr_module_lang')->get('TICKET_TEMPLATE_SELECT_LOCATION'); ?></option>
					<?php
					if (isset($v_location_data) && count($v_location_data) > 0) {
						foreach ($v_location_data as $v_key => $v_location_data_each) {
							if ($v_location_data_each['id'] == $v_location_value) { ?>
								<option selected="" value="<?php echo \U::safe_display_string($v_location_data_each['id']); ?>"><?php echo \U::safe_display_string($v_location_data_each['name']); ?></option>
								<?php
							} else { ?>
								<option value="<?php echo \U::safe_display_string($v_location_data_each['id']); ?>"><?php echo \U::safe_display_string($v_location_data_each['name']); ?></option>
								<?php
							}
						}
					}
					?>
				</select>
			</div>
			<div class="location_address_drag_drop_resize draggable address_container ui-widget-content">
				<input type="hidden" name="fields_data[2][elementType]" value="select_location_dropdown"/>
				<input type="hidden" name="fields_data[2][elementFieldValue]" value=""/>
				<input type="hidden" class="element_2_xPos" name="fields_data[2][xPos]" value="160"/>
				<input type="hidden" class="element_2_yPos" name="fields_data[2][yPos]" value="80"/>
				<input type="hidden" class="element_2_width" name="fields_data[2][width]" value="579"/>
				<input type="hidden" class="element_2_height" name="fields_data[2][height]" value="66"/>
				<input type="hidden" name="address_container_position_value" id="address_container_position_value">
				<textarea class="ticket_textarea_address address_paragraph newly_created_element_styling" id="ticket_textarea_address" placeholder="Location Address" oninput="auto_grow(this)" name="ticket_textarea_address"></textarea>
			</div>
			<!-- SELECT LOCATION FOR ADDRESSES + LOCATION ADDRESS TEXTAREA ENDS -->
		</div>
	</div>
	<div id="do_not_need_in_print">
		<div class="row pb-4">
			<div class="col-sm-9">
				<div class="row justify-content-end">
					<button type="button" class="cus-btn btn bg-color mr-3 text-light font-weight-bold width-120px" onclick="ticket_profile_preview();"><?php echo \E::get('obj_curr_module_lang')->get('TICKET_TEMPLATE_PREVIEW'); ?></button>
					<button type="button" class="cus-btn btn bg-color text-light font-weight-bold mr-1 width-120px" onclick='printDiv();'><?php echo \E::get('obj_curr_module_lang')->get('TICKET_TEMPLATE_TEST_PRINT'); ?></button>
				</div>
			</div>
		</div>
		<div class="row form-group">
			<label for="ticket_template_remarks" class="col-sm-2 col-form-label"> Ticket Profile Name
				<span class="text-danger">*</span> </label>
			<div class="col-sm-5">
				<select name="ticket_template_ticket_name" id="ticket_template_card_name_validate" class="ticket_name_drop_down form-control compulsory" onchange="get_ticket_name();">
					<option selected value=""><?php echo \E::get('obj_curr_module_lang')->get('TICKET_TEMPLATE_CARD_TICKET_NAME'); ?></option>
					<?php
					if (isset($v_category_data) && count($v_category_data) > 0) {
						foreach ($v_category_data as $v_key => $v_category) { ?>
							<option value="<?php echo \U::safe_display_string($v_category['id']); ?>"><?php echo \U::safe_display_string($v_category['name']); ?></option>
							<?php
						}
					}
					?>
				</select>
				<span class="text-danger" id="username_duplicate_check"></span>
			</div>
		</div>
		<div class="row form-group">
			<label for="ticket_template_remarks" class="col-sm-2 col-form-label"> <?php echo \E::get('obj_curr_module_lang')->get('TICKET_TEMPLATE_REMARKS'); ?></label>
			<div class="col-sm-5">
				<input type="text" class="text form-control" name="ticket_template_remarks" id="ticket_template_remarks"/>
			</div>
		</div>
		<hr class="mt-4">
		<div class="row justify-content-center mt-4">
			<div class="col-md-5 text-center">
				<a class="mr-1" href="<?php echo \E::get('obj_curr_module')->build_action_path('ticket_template', 'list'); ?>">
					<button type="button" class="btn btn-default w-auto-im">
						<?php echo \E::get('obj_curr_module_lang')->get('BTN_BACK_TO_LISTING'); ?>
					</button>
				</a>
				<input type="button" onclick="check_validations()" id="submit_form" value="Save" class="btn btn-primary width-135px" role="button">
			</div>
		</div>
	</div>
	<div class="modal fade" id="print_preview" tabindex="-1" role="dialog" aria-labelledby="exampleModalLabel" aria-hidden="true">
		<div class="modal-dialog modal-xl" role="document">
			<div class="modal-content">
				<div class="modal-header">
					<h5 class="modal-title" id="exampleModalLabel"><?php echo \E::get('obj_curr_module_lang')->get('TICKET_TEMPLATE_MODAL_PREVIEW'); ?></h5>
					<button type="button" class="close" data-dismiss="modal" aria-label="Close">
						<span aria-hidden="true">&times;</span>
					</button>
				</div>
				<div class="modal-body m-auto" id="ticket_profile_preview"></div>
				<div class="modal-footer">
					<button type="button" class="btn btn-primary" data-dismiss="modal"><?php echo \E::get('obj_curr_module_lang')->get('TICKET_TEMPLATE_CLOSE'); ?></button>
				</div>
			</div>
		</div>
	</div>
</form>
<?PHP
\I::load_error();
?>
<script language="javascript">
	$(function () {
		// TICKE LOGO LOCATION OR AGENCY STARTS
		$(".ticket_logo_drag_drop_resize").draggable({
			containment: "#containment-wrapper",
			stop: function (event, ui) {
				$(".element_0_xPos").val(ui.position.left);
				$(".element_0_yPos").val(ui.position.top);
			}
		});
		$(".ticket_logo_drag_drop_resize").resizable({
			containment: "#containment-wrapper",
			handles: handlesType,
			minHeight: 115,
			minWidth: 70,
			stop: function (event, ui) {
				$(".element_0_width").val(ui.size.width);
				$(".element_0_height").val(ui.size.height);
			}
		});
		// TICKE LOGO LOCATION OR AGENCY ENDS
		// TICKE LOCATION STARTS
		$(".select_location_drag_drop_resize").draggable({
			containment: "#containment-wrapper",
			stop: function (event, ui) {
				$(".element_1_xPos").val(ui.position.left);
				$(".element_1_yPos").val(ui.position.top);
			}
		});
		$(".select_location_drag_drop_resize").resizable({
				containment: "#containment-wrapper",
				handles: handlesType,
				stop: function (event, ui) {
					$(".element_1_width").val(ui.size.width);
					$(".element_1_height").val(ui.size.height);
				}
			}
		);
		// TICKE LOCATION ENDS
		// TICKE LOCATION ADDRESS STARTS
		$(".location_address_drag_drop_resize").draggable({
			containment: "#containment-wrapper",
			stop: function (event, ui) {
				$(".element_2_xPos").val(ui.position.left);
				$(".element_2_yPos").val(ui.position.top);
			}
		});
		$(".location_address_drag_drop_resize").resizable({
				containment: "#containment-wrapper",
				handles: handlesType,
				stop: function (event, ui) {
					$(".element_2_width").val(ui.size.width);
					$(".element_2_height").val(ui.size.height);
				}
			}
		);
		// TICKE LOCATION ADDRESS ENDS
	});
	function printDiv() {
		window.print();
	}
	function auto_grow(element) {
		element.style.height = "5px";
		element.style.height = (element.scrollHeight) + "px";
	}
	function get_ticket_name(get_ticket_name) {
		$(".full_ticket_name").html($(".ticket_name_remove option:selected").text());
	}
	var message = "";
	function get_locations_data_logo(_this) {
		if ($.trim($("#logo_change_select option:selected").val()) != "") {
			if ($("#logo_change_select option:selected").val() == "agency_logo") {
				message = "<?php echo \E::get('obj_curr_module_lang')->get('TICKET_TEMPLATE_AGENCY_LOG_NOT_FOUND_1');?><a href='<?php echo \E::get('obj_curr_module')->build_action_path('agency', 'list'); ?>'><?php echo \E::get('obj_curr_module_lang')->get('TICKET_TEMPLATE_AGENCY_LOG_NOT_FOUND_2');?></a>";
			} else {
				message = "<?php echo \E::get('obj_curr_module_lang')->get('TICKET_TEMPLATE_LOCATION_LOG_NOT_FOUND_1');?><a href='<?php echo \E::get('obj_curr_module')->build_action_path('location', 'list'); ?>'><?php echo \E::get('obj_curr_module_lang')->get('TICKET_TEMPLATE_LOCATION_LOG_NOT_FOUND_2');?></a>";
			}
			var v_main_logo_option = $("#logo_change_select").val();
			var v_list_url = '<?php echo \E::get('obj_curr_module')->build_action_path('ticket_template', 'get_location_data_ajax'); ?>';
			var v_url = v_list_url + '?v_main_logo_option=' + escape(v_main_logo_option) + '&v_action=add';
			$('#divLoading').css("display", "block");
			$('#divLoading').css("visibility", "visible");
			var v_response = makeGETRequest(v_url, '', 'after_load_logo');
		}
	}
	function after_load_logo(response) {
		$('#divLoading').css("display", "none");
		$('#divLoading').css("visibility", "hidden");
		if (response != '') {
			var v_main_logo_option = $("#logo_change_select").val();
			$("#ajax_logo_img_container").html(response);
		} else {
			if ($.trim($("#logo_change_select option:selected").val()) != "") {
				Swal.fire({
					title: '<font class="title_heading"> ' + message + '</font>',
					imageUrl: "<?php echo \E::get('obj_curr_module')->get_image_path() . '/warning_sign.png';?>",
					imageWidth: 50,
					imageHeight: 50,
					imageAlt: 'Custom image',
					html: '<hr class="sweet_hr" />',
					cancelButtonColor: '#FFF',
					showCancelButton: false,
					cancelButtonText: "Ok",
				});
			}
			return false;
			// $(".ticket_logo").attr("src", "<?php //echo \E::get('obj_curr_module')->get_image_path();?>"+"sys_logo.png");
		}
		$("#logo_change_select").hide();
		$(".ticket_logo").fadeIn(500);
		$(".remove_ticket_logo_image").fadeIn(500);
	}
	$(".remove_ticket_logo_image").click(function () {
		$(".remove_ticket_logo_image").hide();
		$(".ticket_logo").hide();
		$(".ticket_logo").attr("src", "");
		$("#logo_change_select").fadeIn(1000);
		$('select#logo_change_select option').removeAttr("selected");
	});
	function get_locations_data_main() {
		var v_location_id = $("#locations_main_dropdown").val();
		var v_list_url = '<?php echo \E::get('obj_curr_module')->build_action_path('ticket_template', 'get_location_data_ajax'); ?>';
		var v_url = v_list_url + '?v_location_id=' + escape(v_location_id) + '&v_action=add';
		var v_response = makeGETRequest(v_url, 'ticket_textarea_address', '', '', '', '');
	}
	function ticket_image_file_change(input, index) {
		if (input.files && input.files[0]) {
			var url = input.value;
			var ext = url.substring(url.lastIndexOf('.') + 1).toLowerCase();
			if (input.files && input.files[0] && (ext == "gif" || ext == "png" || ext == "jpeg" || ext == "jpg")) {
				if (input.files[0].size > 2000000) {
					Swal.fire({
						title: '<font  class="title_heading">Please upload file less than 2MB.</font>',
						imageUrl: "<?php echo \E::get('obj_curr_module')->get_image_path() . '/warning_sign.png';?>",
						imageWidth: 50,
						imageHeight: 50,
						imageAlt: 'Custom image',
						html: '<hr class="sweet_hr" />',
						cancelButtonColor: '#FFF',
						showCancelButton: false,
						cancelButtonText: "Ok",
					});
					$('#submit_form').prop('disabled', true);
					$(this).val('');
				} else {
					var reader = new FileReader();
					reader.onload = function (e) {
						$('.preview_po_img_background_file' + index).attr('src', e.target.result);
						$('.preview_po_img_background_file' + index).fadeIn(1000);
						$('.remove_ticket_background_image_file' + index).fadeIn(1000);
					}
					reader.readAsDataURL(input.files[0]);
					$('#submit_form').prop('disabled', false);
				}
			} else {
				Swal.fire({
					title: '<font  class="title_heading">Please upload jpg, png, jpeg, gif only.</font>',
					imageUrl: "<?php echo \E::get('obj_curr_module')->get_image_path() . '/warning_sign.png';?>",
					imageWidth: 50,
					imageHeight: 50,
					imageAlt: 'Custom image',
					html: '<hr class="sweet_hr" />',
					cancelButtonColor: '#FFF',
					showCancelButton: false,
					cancelButtonText: "Ok",
				});
				$('#submit_form').prop('disabled', true);
				$(this).val('');
			}
		}
	}
	function remove_attached_image(element, element_index) {
		$('.preview_po_img_background_file' + element_index).fadeOut(500);
		$('.remove_ticket_background_image_file' + element_index).fadeOut(500);
		$('.newly_created_file_index' + element_index).val("");
	}
	function ticket_advertisement_file_change(input) {
		if (input.files && input.files[0]) {
			var url = input.value;
			var ext = url.substring(url.lastIndexOf('.') + 1).toLowerCase();
			if (input.files && input.files[0] && (ext == "gif" || ext == "png" || ext == "jpeg" || ext == "jpg")) {
				if (input.files[0].size > 2000000) {
					Swal.fire({
						title: '<font  class="title_heading">Please upload file less than 2MB.</font>',
						imageUrl: "<?php echo \E::get('obj_curr_module')->get_image_path() . '/warning_sign.png';?>",
						imageWidth: 50,
						imageHeight: 50,
						imageAlt: 'Custom image',
						html: '<hr class="sweet_hr" />',
						cancelButtonColor: '#FFF',
						showCancelButton: false,
						cancelButtonText: "Ok",
					});
					$('#submit_form').prop('disabled', true);
					$(this).val('');
				} else {
					var reader = new FileReader();
					reader.onload = function (e) {
						$('.preview_po_img_advertisment').attr('src', e.target.result);
						$('.preview_po_img_advertisment').fadeIn(1000);
						$('.remove_ticket_advertisment_image').fadeIn(1000);
					}
					reader.readAsDataURL(input.files[0]);
					$('#submit_form').prop('disabled', false);
				}
			} else {
				Swal.fire({
					title: '<font  class="title_heading">Please upload jpg, png, jpeg, gif only.</font>',
					imageUrl: "<?php echo \E::get('obj_curr_module')->get_image_path() . '/warning_sign.png';?>",
					imageWidth: 50,
					imageHeight: 50,
					imageAlt: 'Custom image',
					html: '<hr class="sweet_hr" />',
					cancelButtonColor: '#FFF',
					showCancelButton: false,
					cancelButtonText: "Ok",
				});
				$('#submit_form').prop('disabled', true);
				$(this).val('');
			}
		}
		$(".remove_ticket_advertisment_image").click(function () {
			$('.preview_po_img_advertisment').fadeOut(500);
			$('.remove_ticket_advertisment_image').fadeOut(500);
			$('.advertisment_file_name').val("");
		});
	}
	function ticket_profile_preview() {
		$('#print_preview').modal('show')
		$("#ticket_profile_preview").html($("#printing_section").clone());
		$("#ticket_profile_preview").find(".remove_ticket_logo_image_dynamic").remove();
		$("#ticket_profile_preview").find(".ticket_image_bg_name").remove();

		$("#ticket_profile_preview").find("input[type=text][placeholder]").removeAttr( 'placeholder' );
		$("#ticket_profile_preview").find("textarea[placeholder]").removeAttr( 'placeholder' );

		$("#ticket_profile_preview").find(".ticket_image_camera_icon").remove();
		$("#ticket_profile_preview").find(".ticket_image_camera_text").remove();


		$("#ticket_profile_preview").find(".remove_image_icon_preview").remove();
		$("#ticket_profile_preview").find(".ticket_logo_drag_drop_resize").html("");
		$("#ticket_profile_preview").find(".newly_created_element_styling").attr("disabled", "disabled");
		$("#ticket_profile_preview").find(".ticket_textarea_address").attr("disabled", "disabled");
		$("#ticket_profile_preview").find(".ui-widget-content").addClass("remove_preview_borders");
		var upoaded_image = $("#frm_ticket_profile").find(".ticket_logo").attr("src");
		if (upoaded_image != '' && upoaded_image != "undefined") {
			$("#ticket_profile_preview").find(".ticket_logo_drag_drop_resize").html("<img src='" + upoaded_image + "' class='ticket_logo' style='display: inline;' />");
		}
		var v_lovation_value = "";
		$(".locations_ajax_addresses").each(function (index) {
			if (index == 0) {
				v_lovation_value = $(this).find('option:selected').text();
			}
			if (index == 1) {
				$(this).parents(".select_location_container").html("<p class='select_location_dropdown' style='height:24px;'>" + v_lovation_value + "</p>");
				$(this).remove();
			}
		});
		$("#print_preview").find(".draggable").addClass("remove_borders_in_preview");
	}
	function check_validations() {
		if (validate(document.frm_ticket_profile)) {
			$("#submit_form").prop("disabled", true);
			var v_template_name = $(".ticket_name_drop_down option:selected").val();
			var v_list_url = '<?php echo \E::get('obj_curr_module')->build_action_path('ticket_template', 'code_validate_ajax'); ?>';
			var v_url = v_list_url + '?v_template_name=' + escape(v_template_name) + '&v_action=add';
			var v_response = makeGETRequest(v_url, 'username_duplicate_check', 'after_load', '', '', '');
		}
	}
	function after_load() {
		window.setTimeout(function () {
			var v_check_error_found = $('#duplication_error_found').val();
			if (v_check_error_found != 1) {
				document.frm_ticket_profile.submit();
			} else {
				$('.ticket_name_remove').focus();
				$("#submit_form").prop("disabled", false);
			}
		}, 1000);
	}
	$(document).ready(
		function () {
			<?php
			$v_session_msg_title = \E::get_session(\E::get('MOONLIGHT_CURRENT_COMPONENT') . '-message-title');
			$v_session_msg = \E::get_session(\E::get('MOONLIGHT_CURRENT_COMPONENT') . '-message');
			$v_session_msg_status = \E::get_session(\E::get('MOONLIGHT_CURRENT_COMPONENT') . '-message-status');
			if ($v_session_msg_title != '' && $v_session_msg != '') {
			?>
			Swal.fire({
				icon: '<?php echo isset($v_session_msg_status) ? $v_session_msg_status : 'error'; ?>',
				title: '<?php echo $v_session_msg_title; ?>',
				html: '<?php echo $v_session_msg; ?>',
				customClass: {
					confirmButton: "bg-primary"
				}
			});
			<?php
			\E::unset_session(\E::get('MOONLIGHT_CURRENT_COMPONENT') . '-message-title');
			\E::unset_session(\E::get('MOONLIGHT_CURRENT_COMPONENT') . '-message');
			\E::unset_session(\E::get('MOONLIGHT_CURRENT_COMPONENT') . '-message-status');
			}
			?>
		}
	);
	function submit_form() {
		document.getElementById("frm_role").submit();
	}
	$("input[type='file']").on("change", function () {
		var url = this.value;
		var ext = url.substring(url.lastIndexOf('.') + 1).toLowerCase();
		if (this.files && this.files[0] && (ext == "gif" || ext == "png" || ext == "jpeg" || ext == "jpg")) {
			if (this.files[0].size > 2000000) {
				Swal.fire({
					title: '<font  class="title_heading">Please upload file less than 2MB.</font>',
					imageUrl: "<?php echo \E::get('obj_curr_module')->get_image_path() . '/warning_sign.png';?>",
					imageWidth: 50,
					imageHeight: 50,
					imageAlt: 'Custom image',
					html: '<hr class="sweet_hr" />',
					cancelButtonColor: '#FFF',
					showCancelButton: false,
					cancelButtonText: "Ok",
				});
				$(this).val('');
			} else {
			}
		} else {
			Swal.fire({
				title: '<font  class="title_heading">Please upload jpg, png, jpeg, gif only.</font>',
				imageUrl: "<?php echo \E::get('obj_curr_module')->get_image_path() . '/warning_sign.png';?>",
				imageWidth: 50,
				imageHeight: 50,
				imageAlt: 'Custom image',
				html: '<hr class="sweet_hr" />',
				cancelButtonColor: '#FFF',
				showCancelButton: false,
				cancelButtonText: "Ok",
			});
			$(this).val('');
		}
	});
</script>