<?php $v_access_add = \E::get('obj_curr_module')->ajax_validation_check_permission('add'); ?>
<div class="content-header pl-0 pb-0 pt-0 mx-n3 px-0">
	<div class="container-fluid">
		<div class="row mb-2">
			<div class="col-sm-12 breadcrumb_container">
				<a href="<?php echo \E::get('obj_curr_module')->build_action_path('home', 'index'); ?>">
					<?php echo \E::get('obj_curr_module_lang')->get('USER_BREADCRUMB_HOME'); ?>
				</a> /
				<a href="<?php echo \E::get('obj_curr_module')->build_action_path('system_administrator', 'list'); ?>">
					<?php echo \E::get('obj_curr_module_lang')->get('USER_BREADCRUMB_SETUP_CONFIGURATION'); ?>
				</a> /
				<a href="<?php echo \E::get('obj_curr_module')->build_action_path('user_account_maintenance', 'list'); ?>">
					<?php echo \E::get('obj_curr_module_lang')->get('USER_BREADCRUMB_USER_ACC_MAINTENANCE'); ?>
				</a> /
				<?php echo \E::get('obj_curr_module_lang')->get('USER_BREADCRUMB_USER_PROFILE'); ?>
			</div>
			<div class="col-sm-6 pl-3 pt-3">
				<h5 class="m-0 pb-0 module_name">
					<?php
					if ($v_controller_name == "list") {
						echo \E::get('obj_curr_module_lang')->get('USER_PROFILE_LIST');
					}
					?>
				</h5>
			</div>
			<?php
			if ($v_access_add) { ?>
				<div class="col-sm-6">
					<a href="<?php echo \E::get('obj_curr_module')->build_action_path('user', 'add'); ?>" class="	btn btn-primary float-right" role="button" !important;>
						<?php echo \E::get('obj_kernel_lang')->get('BTN_ADD'); ?>
					</a>
				</div>
				<?php
			}
			?>
		</div>
	</div>
</div>
<hr/>
<div class="row">
	<div class="input-group pb-3 col-md-8">
		<input type="text" class="form-control" placeholder="<?php echo \E::get('obj_curr_module_lang')->get('USER_GROUP_SEARCH_PLACEHOLDER'); ?>" id="search_by_user_name">
		<div class="input-group-append">
			<button class="btn btn-secondary sidebar-color border-0 w-100" type="button" onclick="search();">
				<i class="fa fa-search text-secondary"></i>
			</button>
		</div>
	</div>
</div>
<div class="row">
	<div class="col-md-2 col-xl-1">
		<i class="fas fa-sliders-h fa-lg"></i>
		<span class="font-weight-bold"><?php echo \E::get('obj_curr_module_lang')->get('USER_GROUP_FILTER'); ?></span>
	</div>
	<div class="col-xl-3 col-lg-4 col-md-4 col-sm-4" id="agency_select_container">
		<div class="form-group">
			<label for="usr_name" data-id="agency_filter" class="filter_container category_label col-form-label text-secondary rounded-pill border border-secondary px-5 mb-2"><?php echo \E::get('obj_curr_module_lang')->get('USER_GROUP_AGENCY'); ?></label>
			<i  data-id="agency_filter"  class=" fas fa-chevron-down  ml-n5 pl-3 category_name_arrow  text-secondary filter_container"></i>
			<div id="select2_container_category_filter">
				<select class="user_name form-control" id="agency_filter" name="states[]" multiple="multiple" onchange="search();">
					<?php
					if (isset($v_agency_dta) && count($v_agency_dta) > 0) {
						foreach ($v_agency_dta as $v_key => $v_agency_dta) {
							if ($v_agency_dta['ag_id'] == $v_agency_id_add) { ?>
								<option selected value="<?php echo \U::safe_display_string($v_agency_dta['ag_id']); ?>"><?php echo \U::safe_display_string($v_agency_dta['ag_name']); ?></option>
								<?php
							} else { ?>
								<option value="<?php echo \U::safe_display_string($v_agency_dta['ag_id']); ?>"><?php echo \U::safe_display_string($v_agency_dta['ag_name']); ?></option>
								<?php
							}
						}
					}
					?>
				</select>
			</div>
		</div>
	</div>
	<div class="col-xl-3 col-lg-3 col-md-3 col-sm-4 ml-md-n5" id="agency_select_container">
		<div class="form-group ml-xl-n5">
			<label for="usr_name" data-id="status_filter" class="filter_container locations_label col-form-label text-secondary rounded-pill border border-secondary px-5 mb-2">&nbsp;&nbsp;&nbsp;&nbsp;<?php echo \E::get('obj_curr_module_lang')->get('USER_GROUP_STATUS'); ?>
				&nbsp;&nbsp;</label>
			<i  data-id="status_filter" class="fas fa-chevron-down ml-n5 pl-3  location_name_arrow text-secondary filter_container"></i>
			<div id="select2_container_location_filter">
				<select class="user_name form-control" name="states[]" multiple="multiple" id="status_filter" onchange="search();">
					<option value="1"><?php echo \E::get('obj_curr_module_lang')->get('USER_STATUS_ACTIVE'); ?></option>
					<option value="0"><?php echo \E::get('obj_curr_module_lang')->get('USER_STATUS_INACTIVE'); ?></option>
				</select>
			</div>
		</div>
	</div>
</div>
<div class="table-responsive">
	<table class="table table-bordered" id="data_table" width="100%" cellspacing="0">
		<thead>
		<tr>
			<th width="5%">
				<?php echo \E::get('obj_kernel_lang')->get('TBL_NO'); ?>
			</th>
			<th width="15%">
				<?php echo \E::get('obj_curr_module_lang')->get('USER_LISTING_USERNAME'); ?>
			</th>
			<th width="25%">
				<?php echo \E::get('obj_curr_module_lang')->get('USER_LISTING_FULL_NAME'); ?>
			</th>
			<th width="20%">
				<?php echo \E::get('obj_curr_module_lang')->get('USER_LISTING_USER_ROLE'); ?>
			</th>
			<th width="25%">
				<?php echo \E::get('obj_curr_module_lang')->get('USER_LISTING_USER_AGENCY'); ?>
			</th>
			<th width="10%">
				<?php echo \E::get('obj_curr_module_lang')->get('USER_LISTING_USER_STATUS'); ?>
			</th>
		</tr>
		</thead>
		<tbody>
		</tbody>
	</table>
</div>
<?PHP
\I::load_error();
?>
<script language="javascript">
	function generate_filter(p_filter_label_class, p_category_filter_selected_count) {
		var v_message_name = "";
		if (p_filter_label_class == "category_label") {
			v_message_name = "<?php echo \E::get('obj_curr_module_lang')->get('USER_LISTING_USER_AGENCY'); ?>";
		}
		if (p_filter_label_class == "locations_label") {
			v_message_name = "<?php echo \E::get('obj_curr_module_lang')->get('USER_LISTING_USER_STATUS'); ?>";
		}
		if (p_category_filter_selected_count != 0) {
			$("." + p_filter_label_class).addClass("filter_label_select_class");
			$("." + p_filter_label_class).parents('.form-group').find("i").attr('style', 'color: green !important');
			$("." + p_filter_label_class).parents('.form-group').find("label").attr('style', 'border: 2px solid green !important;  color: green !important; font-weight: bold !important;');
			$("." + p_filter_label_class).html(p_category_filter_selected_count + " " + v_message_name);
		} else {
			$("." + p_filter_label_class).removeClass("filter_label_select_class");
			$("." + p_filter_label_class).html(v_message_name);
			$("." + p_filter_label_class).parents('.form-group').find("i").attr('style', 'color: #6c757d !important');
			$("." + p_filter_label_class).parents('.form-group').find("label").attr('style', 'border: 1px solid #6c757d !important;  color: #6c757d!important; font-weight: 400 !important;');
		}
	}
	$(document).ready(function () {
		var v_category_filter_selected_count = 0;
		var v_locations_filter_selected_count = 0;
		$("#agency_filter").on("select2:close", function (e) {
			var select_val = $(e.currentTarget).val();
			generate_filter("category_label", select_val.length);
		});
		$("#agency_filter").on("select2:select", function (e) {
			var select_val = $(e.currentTarget).val();
			generate_filter("category_label", select_val.length);
		});
		$("#status_filter").on("select2:close", function (e) {
			var select_val = $(e.currentTarget).val();
			generate_filter("locations_label", select_val.length);
		});
		$("#status_filter").on("select2:select", function (e) {
			var select_val = $(e.currentTarget).val();
			generate_filter("locations_label", select_val.length);
		});
		$("#agency_filter").select2({});
		$("#status_filter").select2({});
		$('#select2_container_category_filter').hide();
		$('#select2_container_location_filter').hide();
	});
	var is_open_category = 0;
	var is_open_location = 0;
	$(document).on('click', '.filter_container', function (e) {
		if ($(this).data("id") === "agency_filter") {
			if (is_open_category == 0) {
				is_open_category = 1;
				$('#select2_container_category_filter').fadeIn(700);
				$('#agency_filter').select2('open');
				$(".category_name_arrow").removeClass("fa-chevron-down");
				$(".category_name_arrow").addClass("fa-chevron-up");
			} else {
				is_open_category = 0;
				$('#select2_container_category_filter').fadeOut(300);
				$('#agency_filter').select2('close');
				$(".category_name_arrow").removeClass("fa-chevron-up");
				$(".category_name_arrow").addClass("fa-chevron-down");
			}
			is_open_location = 0;
			$('#select2_container_location_filter').hide(500);
			$(".location_name_arrow").removeClass("fa-chevron-up");
			$(".location_name_arrow").addClass("fa-chevron-down");
		} else if ($(this).data("id") === "status_filter") {
			if (is_open_location == 0) {
				is_open_location = 1;
				$('#select2_container_location_filter').fadeIn(700);
				$('#status_filter').select2('open');
				$(".location_name_arrow").removeClass("fa-chevron-down");
				$(".location_name_arrow").addClass("fa-chevron-up");
			} else {
				is_open_location = 0;
				$('#select2_container_location_filter').fadeOut(300);
				$('#status_filter').select2('close');
				$(".location_name_arrow").removeClass("fa-chevron-up");
				$(".location_name_arrow").addClass("fa-chevron-down");
			}
			is_open_category = 0;
			$('#select2_container_category_filter').hide(500);
			$(".category_name_arrow").removeClass("fa-chevron-up");
			$(".category_name_arrow").addClass("fa-chevron-down");
		}
	});
	var v_list_url = '<?php echo \E::get('obj_curr_module')->build_action_path('user', 'list_ajax'); ?>';
	var v_cookie_name = "<?php echo \U::generateUniqueCookieName(MOONLIGHT_DNS_PATH . MOONLIGHT_FOLDER_PATH); ?>_admin_list_user";
	var v_list;
	var v_init = false;
	var v_init_page = 0;
	var v_init_usr_name, v_init_usr_email, v_init_usr_new_ic_no, v_init_short_name, v_init_usr_group, v_init_usr_agency,
		v_init_usr_branch, v_init_usr_authentic_method, v_init_usr_status;
	$(document).ready(
		function () {
			<?php
			$v_session_msg_title = \E::get_session(\E::get('MOONLIGHT_CURRENT_COMPONENT') . '-message-title');
			$v_session_msg = \E::get_session(\E::get('MOONLIGHT_CURRENT_COMPONENT') . '-message');
			$v_session_msg_status = \E::get_session(\E::get('MOONLIGHT_CURRENT_COMPONENT') . '-message-status');
			if($v_session_msg_title != '' && $v_session_msg != ''){
			?>
			Swal.fire({
				title: '<font  class="title_heading">' + "<?php echo $v_session_msg;?>" + '</font>',
				imageUrl: "<?php echo \E::get('obj_curr_module')->get_image_path() . '/success_icon.png';?>",
				imageWidth: 50,
				imageHeight: 50,
				imageAlt: 'Custom image',
				html: '<hr class="sweet_hr" />',
				cancelButtonColor: '#FFF',
				showCancelButton: false,
				cancelButtonText: "Ok",
			});
			<?php
			\E::unset_session(\E::get('MOONLIGHT_CURRENT_COMPONENT') . '-message-title');
			\E::unset_session(\E::get('MOONLIGHT_CURRENT_COMPONENT') . '-message');
			\E::unset_session(\E::get('MOONLIGHT_CURRENT_COMPONENT') . '-message-status');
			}
			?>
			v_list = $('#data_table').DataTable({
				"pagingType": "full_numbers",
				"language": {
					"paginate": {
						"previous": "Previous"
					}
				},
				"language": {
					"paginate": {
						"previous": "Previous"
					}
				},
				"dom": "<'row'<'col-sm-12 col-md-6'l><'col-sm-12 col-md-6 text-right'f>><'row'<'col-sm-12'tr>><'row'<'col-sm-12 col-md-6'i><'col text-right pt-1'<'mpage'>><'col-auto'p>>",
				"lengthMenu": [
					[10, 25, 50, -1],
					[10, 25, 50, "All"]
				],
				"responsive": {
					details: {
						display: $.fn.dataTable.Responsive.display.childRowImmediate,
						type: 'none',
						target: ''
					}
				},
				"searching": false,
				"processing": true,
				"serverSide": true,
				"deferRender": true,
				"deferLoading": true,
				"stateSave": true,
				"stateSaveParams": function (settings, data) {
				},
				"stateLoaded": function (settings, data) {
					v_init_page = data.start;
				},
				"ajax": {
					url: v_list_url,
					dataSrc: 'data',
					type: 'GET',
					data: function (d) {
						d['user_name'] = $('#search_by_user_name').val();
						d['agency_filter_data'] = $('#agency_filter').val();
						d['status_filter_data'] = $('#status_filter').val();
						if (v_init == true) {
							d['start'] = v_init_page;
						}
					},
					done: function (data) {
					},
					error: function (err) {
						if (err.responseText.includes('REQUIRED_LOGIN')) {
							window.location = '<?php echo \E::get('obj_curr_module')->build_action_path('user', 'list');?>';
						}
					}
				},
				"drawCallback": function (settings) {
					if (v_init == true) {
						v_init = false;
						var v_info_init = v_list.page.info();
						$('#manual_paging').attr('max', v_info_init.pages).attr('min', 1);
						$('#manual_paging').on('keypress', function (e) {
							if (e.which == 13) {
								var v_info = v_list.page.info();
								if ($('#manual_paging').val() != '' && $('#manual_paging').val() <= v_info.pages && $('#manual_paging').val() > 0) {
									v_list.page(($('#manual_paging').val() - 1)).draw('page');
								}
							}
						});
					}
				},
				"columns": [
					{"data": 'no', "orderable": false},
					{"data": 'short_name'},
					{"data": 'usr_name'},
					{"data": 'role'},
					{"data": 'agency'},
					{"data": 'status'},
				],
				"order": [1, "desc"],
				"initComplete": function (settings, json) {
					v_init = true;
					$("div.mpage").html('<input type="number" id="manual_paging" class="text-center" value="" style="width:50px;">');
				}
			}).on('page.dt', function () {
				var v_info = v_list.page.info();
				$('#manual_paging').val((v_info.page + 1));
			}).on('length.dt', function (e, settings, len) {
				var v_info = v_list.page.info();
				$('#manual_paging').attr('max', v_info.pages);
			});
			var v_state = v_list.state.loaded();
			if (v_state) {
				v_init = true;
				v_list.ajax.reload(null, false);
			} else {
				v_list.ajax.reload();
			}
		}
	);
	function search() {
		v_list.ajax.reload();
	}
</script>