<?php
namespace moonlight\eticket;
class eticket_location {
	private $co_db;
	public function __construct( $p_co_db ){
		$this->co_db = $p_co_db;
	}
	public function __destruct(){
		unset($this->co_db);
	}
	/**
	 * Insert new location
	 *
	 * @access public
	 * @return
	 */
	public function location_save( $p_data ){
		return $this->co_db->location_save( $p_data );
	}
	/**
	 * Update location
	 *
	 * @access public
	 * @return
	 */
	public function location_update( $p_data, $p_id_to_update_table ){
		return $this->co_db->location_update( $p_data, $p_id_to_update_table );
	}
	/**
	 * Get location by id
	 *
	 * @access public
	 * @return
	 */
	public function location_get_by_id($p_location_id){
		return $this->co_db->location_get_by_id($p_location_id);
	}
	/**
	 * Soft del location
	 *
	 * @access public
	 * @return
	 */
	public function location_delete( $p_value ){
		$v_result = $this->co_db->location_delete( $p_value );
		return $v_result;
	}
	/**
	 * Retrieve location listing with
	 *
	 * @access public
	 * @return
	 */
	public function location_list_with_no_post($p_cond=NULL, $p_sort_by=NULL, $p_order_by=NULL, $p_page_start=NULL, $p_page_length=NULL){
		return $this->co_db->location_list_with_no_post($p_cond, $p_sort_by, $p_order_by, $p_page_start, $p_page_length);
	}
	/**
	 * Get vode table values on key
	 *
	 * @access public
	 * @return
	 */
	public function location_get_code_table_data_on_key_name($p_key){
		return $this->co_db->location_get_code_table_data_on_key_name($p_key);
	}
	/**
	 * Get location by AGENCY ID
	 *
	 * @access public
	 * @return
	 */
	public function location_get_by_agency($p_agency_id){
		return $this->co_db->location_get_by_agency($p_agency_id);
	}
	/**
	 * Get location BY USER LOCATION ID
	 *
	 * @access public
	 * @return
	 */
	public function location_get_by_user_location(){
		return $this->co_db->location_get_by_user_location();
	}
	/**
	 * Get location BY USER LOCATION ID
	 *
	 * @access public
	 * @return
	 */
	public function location_get_location_admin_users(){
		return $this->co_db->location_get_location_admin_users();
	}
}
?>