<?php
namespace moonlight\eticket;
class eticket_ticket_category {
	private $co_db;
	public function __construct( $p_co_db ){
		$this->co_db = $p_co_db;
	}
	public function __destruct(){
		unset($this->co_db);
	}
	/**
	 * Insert new ticket category
	 *
	 * @access public
	 * @return
	 */
	public function ticket_category_save( $p_data ){
		return $this->co_db->ticket_category_save( $p_data );
	}
	/**
	 * Update ticket category
	 *
	 * @access public
	 * @return
	 */
	public function ticket_category_update( $p_data, $p_id_to_update_table ){
		return $this->co_db->ticket_category_update( $p_data, $p_id_to_update_table );
	}
	/**
	 * Retrieve ticket category by id
	 *
	 * @access public
	 * @return
	 */
	public function ticket_category_get_by_id($p_location_id){
		return $this->co_db->ticket_category_get_by_id($p_location_id);
	}
	/**
	 * Soft del ticket category
	 *
	 * @access public
	 * @return
	 */
	public function ticket_category_delete( $p_value ){
		$v_result = $this->co_db->ticket_category_delete( $p_value );
		return $v_result;
	}
	/**
	 * Retrieve ticket category listing with filters
	 *
	 * @access public
	 * @return
	 */
	public function ticket_category_list_with_no_post($p_cond=NULL, $p_sort_by=NULL, $p_order_by=NULL, $p_page_start=NULL, $p_page_length=NULL){
		return $this->co_db->ticket_category_list_with_no_post($p_cond, $p_sort_by, $p_order_by, $p_page_start, $p_page_length);
	}
	/**
	 * Retrieve name,id from ticket category
	 *
	 * @access public
	 * @return
	 */
	public function ticket_category_get_all_categories(){
		return $this->co_db->ticket_category_get_all_categories();
	}
	/**
	 * Get Ticket Category Name By Code Table Key
	 *
	 * @access public
	 * @return
	 */
	public function ticket_category_get_by_key($p_ticket_category_id=NULL){
		return $this->co_db->ticket_category_get_by_key($p_ticket_category_id);
	}
	/**
	 * Retrieve ticket Proifles by Ticket Categories
	 *
	 * @access public
	 * @return
	 */
	public function ticket_category_get_ticket_profiles($p_ticket_category_id){
		return $this->co_db->ticket_category_get_ticket_profiles($p_ticket_category_id);
	}
}
?>