<?php
namespace moonlight\eticket;
class eticket_ticket_template_mysql {
	private $co_db_root;
	public function __call($name, $arguments){
		$v_tmp_arr = explode("_", $name);
		$v_call_obj = $v_tmp_arr[0];
		if(isset($this->co_db_root)){
			return call_user_func_array(array($this->co_db_root, $name), $arguments);
		}
	}
	public function __construct( &$p_co_db ){
		$this->co_db_root = $p_co_db;
	}
	/**
	 * Insert new ticket template
	 *
	 * @access public
	 * @return
	 */
	public function ticket_template_save($p_data) {
		if( isset($p_data) ) {
			if( count($p_data) > 0 ) {
				$v_query = "INSERT INTO
						" . $this->get_db_table_prefix() . "ticket_template 
					SET
						logo = '".\U::safe_sql_string($p_data['logo'])."',
						c_user_agency_id = '".\U::safe_sql_string(\E::get_session('c_user_agency_id'))."',
						location = '".\U::safe_sql_string($p_data['location'])."',
						address = '".\U::safe_sql_string($p_data['address'])."',
						ticket_name = '".\U::safe_sql_string($p_data['ticket_name'])."',
						remarks = '".\U::safe_sql_string($p_data['remarks'])."',
						_rec_status = '".\U::safe_sql_string($p_data['_rec_status'])."',
						_rec_created_by = '".\U::safe_sql_string($p_data['_rec_created_by'])."',
						_rec_created_on = '".\U::safe_sql_string($p_data['_rec_created_on'])."',
						_rec_modified_by = '".\U::safe_sql_string($p_data['_rec_modified_by'])."',
						_rec_modified_on = '".\U::safe_sql_string($p_data['_rec_modified_on'])."'
					";
				$v_role_add = $this->co_db_root->execute_query($v_query);
				if ($v_role_add) {
					$v_role_id = $this->co_db_root->get_last_insert_id();
					if( $v_role_id && $v_role_id != '') {
						if( $p_data['only_fields_data'] && count($p_data['only_fields_data']) > 0 ) {
							foreach ($p_data['only_fields_data'] as $key => $v_each_element) {
								$v_query = "
										INSERT INTO
											" . $this->get_db_table_prefix() . "ticket_template_elements 
										SET
											ticket_template_id = '".\U::safe_sql_string($v_role_id)."',
											element_type = '".\U::safe_sql_string($v_each_element['elementType'])."',
											element_value = '".\U::safe_sql_string($v_each_element['elementFieldValue'])."',
											element_pos_x = '".\U::safe_sql_string($v_each_element['xPos'])."',
											element_pos_y = '".\U::safe_sql_string($v_each_element['yPos'])."',
											element_width = '".\U::safe_sql_string($v_each_element['width'])."',
											element_height = '".\U::safe_sql_string($v_each_element['height'])."',
											_rec_created_by = '".\U::safe_sql_string($p_data['_rec_created_by'])."',
											_rec_created_on = '".\U::safe_sql_string($p_data['_rec_created_on'])."',
											_rec_modified_by = '".\U::safe_sql_string($p_data['_rec_modified_by'])."',
											_rec_modified_on = '".\U::safe_sql_string($p_data['_rec_modified_on'])."'
								";
								$v_attachement_id = $this->co_db_root->execute_query($v_query);
								$v_element_id = $this->co_db_root->get_last_insert_id();
								if( isset($_FILES) && !empty($_FILES) && count($_FILES) > 0 ) {
									if (isset($_FILES['fields_data'.$key]['tmp_name']) && !empty($_FILES['fields_data'.$key]['name'])) {
										if (isset($_FILES['fields_data'.$key]) && !empty($_FILES['fields_data'.$key])) {
											$v_ticket_temp_bg_img_prefix = \E::get('obj_curr_module')->location_get_code_table_data_on_key_name("ticket_template_img_prefix");
											$v_att['master_id'] = $v_ticket_temp_bg_img_prefix['key_value'] . $v_element_id;
											$v_logged_in_user_id = \E::get_session('usr_id');
											$v_str_now = date("Y-m-d H:i:s");
											$v_att['_rec_status'] = 'SHOW';
											$v_att['_rec_created_by'] = $v_logged_in_user_id;
											$v_att['_rec_created_on'] = $v_str_now;
											$v_att['_rec_modified_by'] = $v_logged_in_user_id;
											$v_att['_rec_modified_on'] = $v_str_now;
											$v_att_id = \E::get('obj_curr_module')->att_add($v_att);
											unset($v_att);
											$v_table_info['tbl_id'] = $v_att_id;
											$v_table_info['tbl_name'] = "t_eticket_att";
											$v_table_info['_rec_created_by'] = \E::get_session('usr_id');
											$v_obj_setting ['obj'] = \E::get('obj_curr_module');
											$v_att_info = \A::attachment_upload($v_obj_setting, $_FILES['fields_data'.$key], $v_table_info);
											$v_att['sftp_par_id'] = $v_att_info['id'];
											$v_att['_rec_modified_by'] = $v_logged_in_user_id;
											$v_att['_rec_modified_on'] = $v_str_now;
											\E::get('obj_curr_module')->att_edit($v_att, $v_att_id);
											unset($v_att);
										}
									}
								}
							}
						}
					}
					return $v_role_id;
				}
			}
		}
	}
	/**
	 * Update ticket template
	 *
	 * @access public
	 * @return
	 */
	public function ticket_profile_update($p_data, $p_id_to_update_table) {
		if( isset($p_data) ) {
			if( count($p_data) > 0 ) {
				if( isset($p_id_to_update_table) && $p_id_to_update_table != '' ) {
					$v_query = "UPDATE
							" . $this->get_db_table_prefix() . "ticket_profile
						SET
							code = '".\U::safe_sql_string($p_data['code'])."',
							name = '".\U::safe_sql_string($p_data['name'])."',
							category = '".\U::safe_sql_string($p_data['category'])."',
							price = '".\U::safe_sql_string($p_data['price'])."',
							location = '".\U::safe_sql_string($p_data['location'])."',
							remarks = '".\U::safe_sql_string($p_data['remarks'])."',
							_rec_modified_by = '".\U::safe_sql_string($p_data['_rec_modified_by'])."',
							_rec_modified_on = '".\U::safe_sql_string($p_data['_rec_modified_on'])."'
						WHERE
							id = '".\U::safe_sql_string($p_id_to_update_table)."'
						";
					return $this->co_db_root->execute_query($v_query);
				}
			}
		}
	}
	/**
	 * Retrieve ticket template by id
	 *
	 * @access public
	 * @return
	 */
	public function ticket_template_get_by_id($p_template_id) {
		if( isset($p_template_id) ) {
			$v_query = "SELECT
							*
				 		FROM 
				 			" . $this->get_db_table_prefix() . "ticket_template 
				 		WHERE
				 			id = '".\U::safe_sql_string($p_template_id)."'
				 ";
			$v_locations_data = $this->co_db_root->execute_query($v_query);	
			if( isset($v_locations_data) ) {
				if( $v_locations_data != '' ) {
					return $v_locations_data[0];
				}
			}
		}
	}
	/**
	 * Soft del ticket profile by id
	 *
	 * @access public
	 * @return
	 */
	public function ticket_profile_delete( $p_value ){
		$v_query = 	"UPDATE 
						" . $this->get_db_table_prefix() . "ticket_profile 
					SET
						_rec_deleted_on = \"" . \U::safe_sql_string( date("Y-m-d H:i:s") ) . "\",
						_rec_deleted_by = \"" . \U::safe_sql_string( \E::get_session('usr_id') ) . "\",
						_rec_status = \"DELETED\"
					WHERE 
						id = \"" . \U::safe_sql_string( $p_value['id'] ) . "\"
					";
		$v_result = $this->co_db_root->execute_query($v_query);
		if( $v_result ){
			return TRUE;
		} else {
			return FALSE;
		}
	}
	/**
	 * Retrieve  ticket profile listing
	 *
	 * @access public
	 * @return
	 */
	public function ticket_profile_list_with_no_post($p_cond, $p_order, $p_page_start, $p_page_length){
		$v_query = "SELECT
						*
					FROM
						" . $this->get_db_table_prefix() . "ticket_profile
					WHERE
				 		_rec_status = \"SHOW\" 
				    ";
		return $this->co_db_root->execute_query($v_query);
	}
	/**
	 * Retrieve  ticket category listing
	 *
	 * @access public
	 * @return
	 */
	public function ticket_profile_category_list(){
		$v_query = "SELECT *
				 FROM " . $this->get_db_table_prefix() . "ticket_category";
		return $this->co_db_root->execute_query($v_query);
	}
	/**
	 * Retrieve location listing
	 *
	 * @access public
	 * @return
	 */
	public function ticket_profile_location_data($p_location_id){
		if( isset($p_location_id) ) {
			$v_query = "SELECT
							*
				 			FROM
				 				" . $this->get_db_table_prefix() . "locations
				 			WHERE
				 				id = '".\U::safe_sql_string( $p_location_id )."' ";
			return $this->co_db_root->execute_query($v_query);
		}
	}
	/**
	 * Retrieve ticket category by id
	 *
	 * @access public
	 * @return
	 */
	public function ticket_profile_category_data($p_category_id){
		if( isset($p_category_id) ) {
			$v_query = "SELECT
							*
				 			FROM
				 				" . $this->get_db_table_prefix() . "ticket_category
				 			WHERE
				 				id = '".\U::safe_sql_string( $p_category_id )."' ";
			return $this->co_db_root->execute_query($v_query);
		}
	}
	/**
	 * Update ticket template
	 *
	 * @access public
	 * @return
	 */
	public function ticket_template_edit($p_data, $p_id_to_update_table) {
		if( isset($p_data) ) {
			if( count($p_data) > 0 ) {
				if( isset($p_id_to_update_table) && $p_id_to_update_table != '' ) {
					$v_query = "UPDATE
							" . $this->get_db_table_prefix() . "ticket_template 
						SET
							logo = '".\U::safe_sql_string($p_data['logo'])."',
							c_user_agency_id = '".\U::safe_sql_string(\E::get_session('c_user_agency_id'))."',
							location = '".\U::safe_sql_string($p_data['location'])."',
							address = '".\U::safe_sql_string($p_data['address'])."',
							ticket_name = '".\U::safe_sql_string($p_data['ticket_name'])."',
							remarks = '".\U::safe_sql_string($p_data['remarks'])."',
							_rec_modified_by = '".\U::safe_sql_string($p_data['_rec_modified_by'])."',
							_rec_modified_on = '".\U::safe_sql_string($p_data['_rec_modified_on'])."'
						WHERE 
							id = '".\U::safe_sql_string($p_id_to_update_table)."'
						";
					$v_role_add = $this->co_db_root->execute_query($v_query);
					if ($v_role_add) {
						if( $p_id_to_update_table && $p_id_to_update_table != '') {
							if( isset($p_data['only_fields_data']) && count($p_data['only_fields_data']) > 0 ) {
								$v_delete_positions = "DELETE FROM
										" . $this->get_db_table_prefix() . "ticket_template_elements 
										WHERE
											ticket_template_id = '".\U::safe_sql_string($p_id_to_update_table)."'
								";
								$v_check_deleted = $this->co_db_root->execute_query($v_delete_positions);
								foreach ($p_data['only_fields_data'] as $key => $v_each_element) {
									$v_element_value = "";
									if( isset($v_each_element['elementFieldValue']) && $v_each_element['elementFieldValue'] != '' ) {
										$v_element_value = $v_each_element['elementFieldValue'];
									}
									$v_query = "INSERT INTO
											" . $this->get_db_table_prefix() . "ticket_template_elements 
											SET
												ticket_template_id = '".\U::safe_sql_string($p_id_to_update_table)."',
												element_type = '".\U::safe_sql_string($v_each_element['elementType'])."',
												element_value = '".\U::safe_sql_string($v_element_value)."',
												element_pos_x = '".\U::safe_sql_string($v_each_element['xPos'])."',
												element_pos_y = '".\U::safe_sql_string($v_each_element['yPos'])."',
												element_width = '".\U::safe_sql_string($v_each_element['width'])."',
												element_height = '".\U::safe_sql_string($v_each_element['height'])."',
												_rec_created_by = '".\U::safe_sql_string($p_data['_rec_created_by'])."',
												_rec_created_on = '".\U::safe_sql_string($p_data['_rec_created_on'])."',
												_rec_modified_by = '".\U::safe_sql_string($p_data['_rec_modified_by'])."',
												_rec_modified_on = '".\U::safe_sql_string($p_data['_rec_modified_on'])."'
									";
									$v_attachement_id = $this->co_db_root->execute_query($v_query);
									$v_element_id = $this->co_db_root->get_last_insert_id();
									if( $v_each_element['elementType'] == "file" ) {
										if (isset($_FILES['fields_data'.$key]['tmp_name']) && !empty($_FILES['fields_data'.$key]['name'])) {
											$v_ticket_temp_bg_img_prefix = \E::get('obj_curr_module')->location_get_code_table_data_on_key_name("ticket_template_img_prefix");
											$v_att['master_id'] = $v_ticket_temp_bg_img_prefix['key_value'] . $v_element_id;
											$v_logged_in_user_id = \E::get_session('usr_id');
											$v_str_now = date("Y-m-d H:i:s");
											$v_att['_rec_status'] = 'SHOW';
											$v_att['_rec_created_by'] = $v_logged_in_user_id;
											$v_att['_rec_created_on'] = $v_str_now;
											$v_att['_rec_modified_by'] = $v_logged_in_user_id;
											$v_att['_rec_modified_on'] = $v_str_now;
											$v_att_id = \E::get('obj_curr_module')->att_add($v_att);
											unset($v_att);
											$v_table_info['tbl_id'] = $v_att_id;
											$v_table_info['tbl_name'] = "t_eticket_att";
											$v_table_info['_rec_created_by'] = \E::get_session('usr_id');
											$v_obj_setting ['obj'] = \E::get('obj_curr_module');
											$v_att_info = \A::attachment_upload($v_obj_setting, $_FILES['fields_data'.$key], $v_table_info);
											$v_att['sftp_par_id'] = $v_att_info['id'];
											$v_att['_rec_modified_by'] = $v_logged_in_user_id;
											$v_att['_rec_modified_on'] = $v_str_now;
											\E::get('obj_curr_module')->att_edit($v_att, $v_att_id);
											unset($v_att);
										} else {
											if( isset( $v_each_element['file_uploaded_id'] ) && $v_each_element['file_uploaded_id'] != '' ){
												$v_query = 	"UPDATE 
													" . $this->get_db_table_prefix() . "ticket_template_elements 
												SET
													id = ".\U::safe_sql_string( $v_each_element['file_uploaded_id'] ) . "
												WHERE 
													id = " . \U::safe_sql_string( $v_element_id ) . "
												";
												$v_result = $this->co_db_root->execute_query($v_query);
											}
										}
									} 
								}
							}
						}
						return $v_role_id;
					}
				}
			}
		}
	}
	/**
	 * Retrieve all template data
	 *
	 * @access public
	 * @return
	 */
	public function ticket_template_get_all(){
		$v_col_name = "c_user_agency_id";
		$v_agency_condition = \E::get('obj_curr_module')->get_agency_condition($v_col_name);
		$v_col_name = "location";
		$v_location_condition = \E::get('obj_curr_module')->get_location_condition($v_col_name);
		$v_query = "SELECT
						*
			 			FROM
			 				" . $this->get_db_table_prefix() . "ticket_template
			 			WHERE 
			 				1=1
			 				".$v_agency_condition."
			 				".$v_location_condition."
			 			";
		return $this->co_db_root->execute_query($v_query);
	}
	/**
	 * Retrieve ticket profile listing with filters
	 *
	 * @access public
	 * @return
	 */
	public function ticket_template_list_with_no_post($p_cond=NULL, $p_sort_by=NULL, $p_order_by=NULL, $p_page_start=NULL, $p_page_length=NULL){
		$v_col_name = "location";
		$v_location_condition = \E::get('obj_curr_module')->get_location_condition($v_col_name);
		$v_col_name = "c_user_agency_id";
		$v_agency_condition = \E::get('obj_curr_module')->get_agency_condition($v_col_name);
		$v_search_by_ticket_name = $p_cond['search_by_ticket_name']; 
		$v_search_by_ticket_name_search = "";
		if( $v_search_by_ticket_name != '' ) {
			$v_search_by_ticket_name_search = " AND ( template_name LIKE '%" . \U::safe_sql_string($v_search_by_ticket_name) . "%')";
 		}
		$v_ticket_name_filter = $p_cond['ticket_name_filter'];
		$v_ticket_name_filter_search = "";
		if( $v_ticket_name_filter != '' ) {
			$v_ticket_name_filter_search = " AND ( ticket_name IN('" . implode ( "', '", \U::safe_sql_string($v_ticket_name_filter)) . "') ) ";
 		}
		$v_location_filter = $p_cond['location_filter'];
		$v_location_search = "";
		if( $v_location_filter != '' ) {
			$v_location_search = " AND ( location IN('" . implode ( "', '", \U::safe_sql_string($v_location_filter)) . "') ) ";
 		}
		$v_limitation_data = "";
		if( $p_page_start != '' && $p_page_length != '' ) {
			$v_limitation_data = " LIMIT " . \U::safe_sql_string($p_page_start) . ", " . \U::safe_sql_string($p_page_length) . "";
 		}
		$v_order_by = "";
		if( $p_order_by != '' && $p_sort_by != '' ) {
			$v_order_by = " ORDER BY " . \U::safe_sql_string($p_order_by) . " " . \U::safe_sql_string($p_sort_by) . " ";
 		}
		$v_query = "
				SELECT
					*
				FROM
					" . $this->get_db_table_prefix() . "ticket_template 
				WHERE 
				 	_rec_status = \"SHOW\"
				 	".$v_search_by_ticket_name_search." 
				 	".$v_location_condition." 
				 	".$v_ticket_name_filter_search." 
				 	".$v_location_search." 
				 	".$v_agency_condition." 
				 	".$v_order_by."
				 	".$v_limitation_data."
				";
		return $this->co_db_root->execute_query($v_query);
	}
	/**
	 * Soft del Ticket Template by id
	 *
	 * @access public
	 * @return
	 */
	public function ticket_template_delete( $p_value ){
		$v_query = 	"UPDATE 
						" . $this->get_db_table_prefix() . "ticket_template 
					SET
						_rec_deleted_on = \"" . \U::safe_sql_string( date("Y-m-d H:i:s") ) . "\",
						_rec_deleted_by = \"" . \U::safe_sql_string( \E::get_session('usr_id') ) . "\",
						_rec_status = \"DELETED\"
					WHERE 
						id = \"" . \U::safe_sql_string( $p_value['id'] ) . "\"
					";
		$v_result = $this->co_db_root->execute_query($v_query);
		if( $v_result ){
			return TRUE;
		} else {
			return FALSE;
		}
	}
	/*
	 * Function to retrieve Template Names
	 */
	public function ticket_template_get_ticket_names($v_ticket_name_id_implode=NULL){
		if( isset($v_ticket_name_id_implode) && $v_ticket_name_id_implode != '' ) {
			$v_query = "SELECT
							*
				 		FROM 
				 			" . $this->get_db_table_prefix() . "ticket_profile 
				 		WHERE
				 			id IN(".$v_ticket_name_id_implode.")
				 ";
			$v_locations_data = $this->co_db_root->execute_query($v_query);	
			return $v_locations_data;
		}
	}
	public function ticket_template_get_ticket_templates($p_ticket_profile_id){
		if( isset($p_ticket_profile_id) ) {
			$v_query = "SELECT
						COUNT(*) as template_total
					FROM
						" . $this->get_db_table_prefix() . "ticket_template
					WHERE
				 		_rec_status = \"SHOW\" 
				 	AND
				 		ticket_name = '".\U::safe_sql_string($p_ticket_profile_id)."'
			    ";
			$v_ticket_category_profiles_count = 0;
			$v_ticket_category_profiles = $this->co_db_root->execute_query($v_query);
			if( isset($v_ticket_category_profiles[0]['template_total']) && $v_ticket_category_profiles[0]['template_total'] != '' ) {
				$v_ticket_category_profiles_count = $v_ticket_category_profiles[0]['template_total'];
			}
			return $v_ticket_category_profiles_count;
		}
	}
	/**
	 * Retrieve Ticket Element Positions
	 *
	 * @access public
	 * @return
	 */
	public function ticket_template_element_positions_get_by_id($p_template_id) {
		if( isset($p_template_id) ) {
			$v_query = "SELECT
							*
				 		FROM 
				 			" . $this->get_db_table_prefix() . "ticket_template_elements 
				 		WHERE
				 			ticket_template_id = '".\U::safe_sql_string($p_template_id)."'
				 		AND 
				 			element_type != 'agency_location_logo'
				 		AND 
				 			element_type != 'select_location_address'
				 		AND 
				 			element_type != 'select_location_dropdown'
				 ";
			$v_element_positions_data = $this->co_db_root->execute_query($v_query);	
			if( isset($v_element_positions_data) && $v_element_positions_data != '' ) {
				return $v_element_positions_data;
			}
		}
	}
	/**
	 * Retrieve Ticket Element Positions BY TYPE
	 *
	 * @access public
	 * @return
	 */
	public function ticket_template_element_positions_get_by_element_type($p_template_id,$p_element_type) {
		if( isset($p_template_id) ) {
			$v_query = "SELECT
							*
				 		FROM 
				 			" . $this->get_db_table_prefix() . "ticket_template_elements 
				 		WHERE
				 			ticket_template_id = '".\U::safe_sql_string($p_template_id)."'
				 		AND
				 			element_type = '".\U::safe_sql_string($p_element_type)."'
				 ";
			$v_element_positions_data = $this->co_db_root->execute_query($v_query);	
			if( isset($v_element_positions_data[0]) && $v_element_positions_data[0] != '' ) {
				return $v_element_positions_data[0];
			}
		}
	}
}
?>
