<?PHP
\I::load_error("MESSAGE");
?>
<style type="text/css">
@media print { 
    .col { float: none; width: auto; } /* remove the floats for print */
}
</style>
<div class="content-header pl-0 pb-0 pt-0 mx-n3 px-0">
	<div class="container-fluid">
		<div class="row mb-2">
			<div class="col-sm-12 breadcrumb_container">
				<a href="<?php echo \E::get('obj_curr_module')->build_action_path('home', 'index'); ?>">
					<?php echo \E::get('obj_curr_module_lang')->get('BUY_TICKET_BREADCRUMB_HOME'); ?>
				</a> /
				<a href="<?php echo \E::get('obj_curr_module')->build_action_path('ticket_sale', 'list'); ?>">
					<?php echo \E::get('obj_curr_module_lang')->get('BUY_TICKET_BREADCRUMB_TICKET_SALE'); ?>
				</a> /
				<?php echo \E::get('obj_curr_module_lang')->get('BUY_TICKET_REPRINT_RECEIPT_TICKETS'); ?>
			</div>
			<div class="col-sm-6 pl-3 pt-2">
				<h5 class="m-0 pb-0 module_name">
					<?php
					if ($v_print_type == "print_tickets") {
						echo \E::get('obj_curr_module_lang')->get('BUY_TICKET_REPRINT_TICKETS');
					} else if ($v_print_type == "print_receipts") {
						echo \E::get('obj_curr_module_lang')->get('BUY_TICKET_REPRINT_RECEITPS');
					} else {
						echo \E::get('obj_curr_module_lang')->get('BUY_TICKET_REPRINT_RECEIPT_TICKETS');
					} ?>
				</h5>
			</div>
			<div class="col-sm-6 pl-3 pt-2 text-right">
				<a href="<?php echo \E::get('obj_curr_module')->build_action_path('buy_ticket', 'add', $v_locations_add); ?>">
					<button class="btn btn-default" style="width: 200px;padding: 7px;margin-right: 9px;">
						<?php echo \E::get('obj_curr_module_lang')->get('BUY_TICKET_NEW_TANSACTION'); ?>
					</button>
	            </a>
	        </div>
		</div>
	</div>
</div>
<div class="container-fluid ticket_body">
	<div class="row">
		<?php
		if ($v_print_type == "print_receipts" || $v_print_type == "") {
			$v_receipt_styling = "";
			$back_to_button = " display:none; ";
			if ($v_print_type == "print_receipts") {
				// $v_receipt_styling = " m-auto col-md-5 ";
				$back_to_button = " display:block; ";
			}
			?>
			<div class="col-4 receipt_container_each <?php echo $v_receipt_styling; ?> receipts_main_container page_break_in_printing">
				<button onclick='printDiv_receipts();' class="btn btn-danger print_tickets print_receipt_btn_main">
					<?php echo \E::get('obj_curr_module_lang')->get('BUY_TICKET_PRINT_RECEIPTS'); ?>
				</button>
				<?php
				if ($v_print_type == "print_receipts") { ?>
					<a href="<?php echo \E::get('obj_curr_module')->build_action_path('ticket_listing', 'list'); ?>">
						<button class="btn btn-default print_tickets print_receipt_btn_main mr-3">
							Back To Listing
						</button>
					</a>
					<?php
				} ?>
				<div class="clearfix"></div>
				<?php
				if (isset($v_tickets_receipt_data)) {
					if (count($v_tickets_receipt_data) > 0) {
						foreach ($v_tickets_receipt_data as $v_transaction_loop => $v_each_receipt) {
							?>
							<div class="receepit_contaienr_each page_break_in_printing" id="receepit_contaienr_each">
								<div class="sidebar-color rounded">
									<p class="ticket_header pt-3">
										<?php echo $v_each_receipt[0]['name']; ?>
									</p>
									<p class="ticket_header"><?php echo \E::get('obj_curr_module_lang')->get('BUY_TICKET_ADDRESS'); ?>
										<span class="heading_data"><?php echo $v_each_receipt['address']; ?></span>
									</p>
									<p class="ticket_header"><?php echo \E::get('obj_curr_module_lang')->get('BUY_TICKET_TEL'); ?>
										<span class="heading_data">
                                            <?php echo $v_each_receipt[0]['contact_no']; ?>
                                        </span>, <?php echo \E::get('obj_curr_module_lang')->get('BUY_TICKET_FAX'); ?>
										<span class="heading_data">
                                            <?php echo $v_each_receipt[0]['fax']; ?>
                                        </span>
									</p>
									<p class="ticket_header"><?php echo \E::get('obj_curr_module_lang')->get('BUY_TICKET_EMAIL'); ?>
										<span class="heading_data">
                                            <?php echo $v_each_receipt[0]['l_email']; ?>
                                        </span>
									</p>
									<p class="pf_1 w-94-perecntag"><?php echo \E::get('obj_curr_module_lang')->get('BUY_TICKET_RECEIPT_NO'); ?>
										<span class="heading_data">
                                            <?php echo $v_each_receipt[0]['receipt_no']; ?>
                                        </span>
									</p>
									<p class="pf_1 w-49-perecntag"><?php echo \E::get('obj_curr_module_lang')->get('BUY_TICKET_CASHIER'); ?>
										<span class="heading_data">
                                            <?php echo $v_each_receipt[0]['usr_full_name']; ?>
                                        </span>
									</p>
									<p class="pf_2 pb-2 transaction_date_ticket"><?php echo \E::get('obj_curr_module_lang')->get('BUY_TICKET_DATE'); ?>
										<span class="heading_data">
                                            <?php echo date("d/m/Y H:i:s", strtotime($v_each_receipt[0]['transaction_date'])); ?>
                                        </span>
									</p>
									<div class="clearfix"></div>
									<div class="container-fluid sidebar-color p-0" style="background-color: #CCCCCC;">
										<table class="mx-2 mb-3 receipt_table_font_size mt-3" style="background-color: #CCCCCC;">
											<tbody>
											<tr class="fs-12">
												<th class="w_td_40">
													&nbsp;<?php echo \E::get('obj_curr_module_lang')->get('BUY_TICKET_TICKET'); ?></th>
												<th class="w_td_15">
													&nbsp;<?php echo \E::get('obj_curr_module_lang')->get('BUY_TICKET_QUANTITY'); ?></th>
												<th class="w_td_20" class="text-right">
													&nbsp;<?php echo \E::get('obj_curr_module_lang')->get('BUY_TICKET_UNIT_PRICE'); ?></th>
												<th class="w_td_20" class="text-right">
													&nbsp;<?php echo \E::get('obj_curr_module_lang')->get('BUY_TICKET_AMOUNT'); ?></th>
											</tr>
											<?php
											$v_ticket_qty_total = 0;
											$v_ticket_profile_price_total = 0;
											foreach ($v_each_receipt as $v_ticket_loop => $v_each_ticket_data) {
												?>
												<tr height="40px" class="fs-12">
													<td><?php echo $v_each_ticket_data['c_category_name']; ?></td>
													<td class="text-center"><?php echo $v_each_ticket_data['ticket_qty']; ?></td>
													<td class="text-right">
														RM<?php echo number_format($v_each_ticket_data['profile_price'], 2, '.', ','); ?></td>
													<td class="text-right">
														RM<?php echo number_format($v_each_ticket_data['profile_price'] * $v_each_ticket_data['ticket_qty'], 2, '.', ','); ?></td>
												</tr>
												<?php
												$v_ticket_profile_price_total += $v_each_ticket_data['profile_price'] * $v_each_ticket_data['ticket_qty'];
												$v_ticket_qty_total += $v_each_ticket_data['ticket_qty'];
											} ?>
											<tr class="mb-2 mt-4" height="40">
												<td class="fs-15">
													&nbsp;<b><?php echo \E::get('obj_curr_module_lang')->get('BUY_TICKET_TOTAL_QUANTITY'); ?></b>
												</td>
												<td class="text-center">&nbsp;<b><?php echo $v_ticket_qty_total; ?></b>
												</td>
											</tr>
											<tr></tr>
											<tr height="60px">
												<td colspan="2">
													&nbsp;<b class="fs-15"><?php echo \E::get('obj_curr_module_lang')->get('BUY_TICKET_TOTAL_AMOUNT_TOTAL'); ?></b>
												</td>
												<td colspan="2" class="text-right">
													&nbsp;<b><?php echo \E::get('obj_curr_module_lang')->get('BUY_TICKET_CURRENCY_SYMBOL'); ?><?php echo number_format($v_ticket_profile_price_total, 2, '.', ','); ?></b>
												</td>
											</tr>
											<tr height="40px">
												<td colspan="2" class="fs-15">&nbsp;
													<b>
														<?php
														if (isset($v_each_ticket_data['payment_method']) && ($v_each_ticket_data['payment_method'] == 2 || $v_each_ticket_data['payment_method'] == 3)) {
															echo \E::get('obj_curr_module_lang')->get('BUY_TICKET_SPAY_TEXT');
														} else {
															echo \E::get('obj_curr_module_lang')->get('BUY_TICKET_CASH_TEXT');
														}
														?>
													</b>
												</td>
												<td colspan="2" class="text-right">
													&nbsp;<b><?php echo \E::get('obj_curr_module_lang')->get('BUY_TICKET_CURRENCY_SYMBOL'); ?><?php echo number_format($v_each_ticket_data['received_amount'], 2, '.', ','); ?></b>
												</td>
											</tr>
											<tr height="40px">
												<td colspan="2" class="fs-15">
													&nbsp;<b><?php echo \E::get('obj_curr_module_lang')->get('BUY_TICKET_CHANGE_TEXT'); ?></b>
												</td>
												<td colspan="2" class="text-right">
													&nbsp;<b><?php echo \E::get('obj_curr_module_lang')->get('BUY_TICKET_CURRENCY_SYMBOL'); ?><?php echo number_format($v_each_ticket_data['received_amount'] - $v_ticket_profile_price_total, 2, '.', ','); ?></b>
												</td>
											</tr>
											<tr>
												<td colspan="10" class="font_size_13 text-center">
													<?php echo \E::get('obj_curr_module_lang')->get('BUY_TICKET_THANK_YOU_MESSAGE'); ?>
												</td>
												<td colspan="1">&nbsp;</td>
											</tr>
											</tbody>
										</table>
									</div>
								</div>
							</div>
							<?php
						}
					}
				} ?>
			</div>
			<?php
		}
		if ($v_print_type == "print_tickets" || $v_print_type == "") {
			$v_ticket_styling = "";
			if ($v_print_type == "print_tickets") {
				// $v_ticket_styling = " m-auto col-md-12 ";
			} ?>
			<div class="col-8 <?php echo $v_ticket_styling; ?> tickets_main_container">
				<button onclick='printDiv();' class="btn btn-danger print_tickets print_ticket_main_btn">
					<?php echo \E::get('obj_curr_module_lang')->get('BUY_TICKET_PRINT_TICKETS'); ?>
				</button>
				<div id="all_tickets_container">
					<?php
					if ($v_print_type == "print_tickets") { ?>
						<a href="<?php echo \E::get('obj_curr_module')->build_action_path('ticket_listing', 'list'); ?>">
							<button class="btn btn-default print_tickets print_receipt_btn_main mr-3">
								Back To Listing
							</button>
						</a>
						<?php
					} ?>
					<div class="clearfix"></div>
					<?php
					$v_counter_page_break = 0;
					$v_temp_ticket_template_id = 0;
					$v_temp_ticket_template_id_logo = 0;
					$v_assigned_ticket_template_id_main = "";
					foreach ($v_tickets_data as $v_key => $v_each_ticket_receipt) {
						foreach ($v_each_ticket_receipt as $v_key_each_template => $v_view_data) {
							$v_ticket_template_id_main = $v_view_data['id'];
							
							if( $v_ticket_template_id_main != $v_assigned_ticket_template_id_main) {
								$v_master_id_images_arrays = array();
							}

							$v_counter_page_break++;
							$v_location_position = "";
							$v_address_position = "";
							$v_ticket_image_position = "";
							$v_message_position = "";
							$v_ticket_adv_image_position = "";
							$v_copyright_position = "";
							$v_ticket_name_position = "";
							$v_ticket_temp_bg_img_prefix = \E::get('obj_curr_module')->location_get_code_table_data_on_key_name("ticket_temp_bg_img_prefix");
							$v_obj_setting['obj'] = \E::get('obj_curr_module');
							$v_att_master_id = $v_ticket_temp_bg_img_prefix['key_value'] . $v_view_data['ticket_name'];
							$v_att_id = \E::get('obj_curr_module')->att_get_by_id($v_att_master_id);
							$v_file_id = $v_att_id['sftp_par_id'];
							$v_advertisment_file_name = \E::get('obj_curr_module')->location_get_code_table_data_on_key_name("ticket_temp_adv_img_prefix");
							$v_obj_setting['obj'] = \E::get('obj_curr_module');
							$v_att_master_id = $v_advertisment_file_name['key_value'] . $v_view_data['ticket_name'];
							$v_att_id = \E::get('obj_curr_module')->att_get_by_id($v_att_master_id);
							$v_file_id = $v_att_id['sftp_par_id'];
							$v_page_break = "";
							// if (($v_counter_page_break % 3) == 0) {
							// if ($v_counter_page_break == 0) {
								// $v_page_break = "page-break-before: always;page-break-after: always;break-after: always;";
								// $v_page_break = "break-before: always;";
							$v_page_break = "height:488px;";
							// }
							?>
							<div id="printing_section" style="<?php echo $v_page_break; ?>">
								<div id="containment-wrapper" class="position_relative">
									<?php
									$v_ticket_template_element_positions_data = \E::get('obj_curr_module')->ticket_template_element_positions_get_by_id($v_ticket_template_id_main);
									$v_agency_location_logo = \E::get('obj_curr_module')->ticket_template_element_positions_get_by_element_type($v_ticket_template_id_main, "agency_location_logo");
									$v_select_location_address = \E::get('obj_curr_module')->ticket_template_element_positions_get_by_element_type($v_ticket_template_id_main, "select_location_address");
									$v_select_location_dropdown = \E::get('obj_curr_module')->ticket_template_element_positions_get_by_element_type($v_ticket_template_id_main, "select_location_dropdown");
									?>
									<div class="ticket_logo_drag_drop_resize main_logo_container draggable select_location_container ui-widget-content" style="border: 1px dashed; position: absolute; left: <?php echo $v_agency_location_logo['element_pos_x']; ?>px; top: <?php echo $v_agency_location_logo['element_pos_y']; ?>px; border-radius: 15px; width: <?php echo $v_agency_location_logo['element_width']; ?>px; height: <?php echo $v_agency_location_logo['element_height']; ?>px; padding: 7px;padding-bottom: 15px; margin: 0px;color: rgb(0, 186, 211); border: none !important;">
										<?php
										$v_agency_location_flag = "";
										$v_directory_name = "";
										$v_logo_data = "";
										$v_ticket_logo = "";
										if ($v_view_data['logo'] && $v_view_data['logo'] != '') {
											if ($v_view_data['logo'] == "agency_logo") {
												$v_agency_prefix = \E::get('obj_curr_module')->location_get_code_table_data_on_key_name("agency_img_prefix");
												$v_obj_setting['obj'] = \E::get('obj_curr_module');
												$v_att_master_id = $v_agency_prefix['key_value'] . $v_view_data['c_user_agency_id'];
												$v_att_id = \E::get('obj_curr_module')->att_get_by_id($v_att_master_id);
												$v_file_id = $v_att_id['sftp_par_id'];
												if (isset($v_file_id)) {
													if( $v_temp_ticket_template_id_logo != $v_ticket_template_id_main ){
														$v_doc = \A::attachment_get($v_obj_setting, $v_file_id, TRUE, TRUE);
													}
													$v_image_data1 = file_get_contents($v_doc['tmp_name']); // path to file like /var/tmp/...
													$v_var['image_data_ticket_temp'] = $v_image_data1;
													$v_ticket_logo = $v_image_data1;
												}
												$v_agency_location_flag = "agency";
											} else if ($v_view_data['logo'] != "") {
												$v_location_prefix = \E::get('obj_curr_module')->location_get_code_table_data_on_key_name("location_img_prefix");
												$v_obj_setting['obj'] = \E::get('obj_curr_module');
												$v_att_master_id = $v_location_prefix['key_value'] . $v_view_data['logo'];
												$v_att_id = \E::get('obj_curr_module')->att_get_by_id($v_att_master_id);
												$v_file_id = $v_att_id['sftp_par_id'];
												if (isset($v_file_id)) {
													if( $v_temp_ticket_template_id_logo != $v_ticket_template_id_main ){
														$v_doc = \A::attachment_get($v_obj_setting, $v_file_id, TRUE, TRUE);
													}
													$v_image_data1 = file_get_contents($v_doc['tmp_name']); // path to file like /var/tmp/...
													$v_var['image_data_ticket_temp'] = $v_image_data1;
													$v_ticket_logo = $v_image_data1;
												}
												$v_agency_location_flag = "location";
											}
											$v_temp_ticket_template_id_logo = $v_ticket_template_id_main;
										}
										$v_logo_select_drop_down_show_hide = " display:none; ";
										if ($v_agency_location_flag == '') {
											$v_logo_select_drop_down_show_hide = " display:block; ";
										}
										$v_logo_show_hide = "";
										if ($v_agency_location_flag != '') {
											$v_logo_show_hide = " display:block; ";
										}
										$v_f_img = '';
										if ($v_ticket_logo == "") {
											$v_ticket_logo = \E::get('obj_curr_module')->get_image_path() . "sys_logo.png";
											$v_f_img = '<img src="' . $v_ticket_logo . '" class="ticket_logo" style="' . $v_logo_show_hide . '" >';
										} else {
											$v_f_img = sprintf('<img src="data:image/png;base64,%s" class="ticket_logo" style="' . $v_logo_show_hide . '" /> ', base64_encode($v_ticket_logo));
										}
										if (isset($v_agency_location_logo) && $v_agency_location_logo != '') { ?>
											<input type="hidden" name="fields_data[0][elementType]" value="<?php echo $v_agency_location_logo['element_type']; ?>"/>
											<input type="hidden" name="fields_data[0][elementFieldValue]" value="<?php echo $v_agency_location_logo['element_value']; ?>"/>
											<input type="hidden" class="element_0_xPos" name="fields_data[0][xPos]" value="<?php echo $v_agency_location_logo['element_pos_x']; ?>"/>
											<input type="hidden" class="element_0_yPos" name="fields_data[0][yPos]" value="<?php echo $v_agency_location_logo['element_pos_y']; ?>"/>
											<input type="hidden" class="element_0_width" name="fields_data[0][width]" value="<?php echo $v_agency_location_logo['element_width']; ?>"/>
											<input type="hidden" class="element_0_height" name="fields_data[0][height]" value="<?php echo $v_agency_location_logo['element_height']; ?>"/>
											<?php
										}
										?>
										<select name="logo_change_select" id="logo_change_select" onchange="get_locations_data_logo(this)" class="select_location_dropdown logo_select compulsory" style="<?php echo $v_logo_select_drop_down_show_hide; ?>">
											<option value=""><?php echo \E::get('obj_curr_module_lang')->get('TICKET_TEMPLATE_LOGO'); ?></option>
											<optgroup label="Agency Logo">
												<option value="agency_logo" <?php if ($v_view_data['logo'] == "agency_logo") {
													echo "selected";
												} ?> ><?php echo \E::get('obj_curr_module_lang')->get('TICKET_TEMPLATE_AGENCY_LOGO'); ?></option>
											</optgroup>
											<optgroup label="Location Logo">
												<?php
												if (isset($v_location_data) && count($v_location_data) > 0) {
													foreach ($v_location_data as $v_key => $v_location_data_each) {
														if ($v_location_data_each['id'] == $v_view_data['logo']) { ?>
															<option selected value="<?php echo \U::safe_display_string($v_location_data_each['id']); ?>"><?php echo \U::safe_display_string($v_location_data_each['name']); ?></option>
															<?php
														} else { ?>
															<option value="<?php echo \U::safe_display_string($v_location_data_each['id']); ?>"><?php echo \U::safe_display_string($v_location_data_each['name']); ?></option>
															<?php
														}
													}
												}
												?>
											</optgroup>
										</select>
										<div id="ajax_logo_img_container">
											<?php echo $v_f_img; ?>
										</div>
									</div>
									<div class="select_location_drag_drop_resize draggable select_location_container ui-widget-content" style="border: 1px dashed; position: absolute; left: <?php echo $v_select_location_address['element_pos_x']; ?>px; top: <?php echo $v_select_location_address['element_pos_y']; ?>px; border-radius: 15px; width: <?php echo $v_select_location_address['element_width']; ?>px; height: <?php echo $v_select_location_address['element_height']; ?>px; padding: 7px; margin: 0px;color: rgb(0, 186, 211); border: none !important;">
										<?php
										if (isset($v_select_location_address) && $v_select_location_address != '') { ?>
											<input type="hidden" name="fields_data[1][elementType]" value="<?php echo $v_select_location_address['element_type']; ?>"/>
											<input type="hidden" name="fields_data[1][elementFieldValue]" value="<?php echo $v_select_location_address['element_value']; ?>"/>
											<input type="hidden" class="element_1_xPos" name="fields_data[1][xPos]" value="<?php echo $v_select_location_address['element_pos_x']; ?>"/>
											<input type="hidden" class="element_1_yPos" name="fields_data[1][yPos]" value="<?php echo $v_select_location_address['element_pos_y']; ?>"/>
											<input type="hidden" class="element_1_width" name="fields_data[1][width]" value="<?php echo $v_select_location_address['element_width']; ?>"/>
											<input type="hidden" class="element_1_height" name="fields_data[1][height]" value="<?php echo $v_select_location_address['element_height']; ?>"/>
											<?php
										} ?>
										<?php
										if (isset($v_location_data) && count($v_location_data) > 0) {
											foreach ($v_location_data as $v_key => $v_location_data_each) {
												if ($v_location_data_each['id'] == $v_view_data['location']) { ?>
													<p class="select_location_dropdown locations_ajax_addresses compulsory"><?php echo \U::safe_display_string($v_location_data_each['name']); ?></p>
													<?php
												}
											}
										}
										?>
									</div>
									<div class="location_address_drag_drop_resize draggable address_container ui-widget-content" style="border: 1px dashed; position: absolute; left: <?php echo $v_select_location_dropdown['element_pos_x']; ?>px; top: <?php echo $v_select_location_dropdown['element_pos_y']; ?>px; border-radius: 15px; width: <?php echo $v_select_location_dropdown['element_width']; ?>px; height: <?php echo $v_select_location_dropdown['element_height']; ?>px; padding: 7px; margin: 0px;color: rgb(0, 186, 211); border: none !important;">
										<?php
										if (isset($v_select_location_dropdown) && $v_select_location_dropdown != '') { ?>
											<input type="hidden" name="fields_data[2][elementType]" value="<?php echo $v_select_location_dropdown['element_type']; ?>"/>
											<input type="hidden" name="fields_data[2][elementFieldValue]" value="<?php echo $v_select_location_dropdown['element_value']; ?>"/>
											<input type="hidden" class="element_2_xPos" name="fields_data[2][xPos]" value="<?php echo $v_select_location_dropdown['element_pos_x']; ?>"/>
											<input type="hidden" class="element_2_yPos" name="fields_data[2][yPos]" value="<?php echo $v_select_location_dropdown['element_pos_y']; ?>"/>
											<input type="hidden" class="element_2_width" name="fields_data[2][width]" value="<?php echo $v_select_location_dropdown['element_width']; ?>"/>
											<input type="hidden" class="element_2_height" name="fields_data[2][height]" value="<?php echo $v_select_location_dropdown['element_height']; ?>"/>
											<?php
										} ?>
										<p class="ticket_textarea_address address_paragraph"><?php echo \U::safe_display_string($v_view_data['address']); ?></p>
									</div>
									<?php
									$counter_element_dynamic = 3;
									$v_master_id_arrays = array($v_ticket_template_element_positions_data[0]['id']);
									if (isset($v_ticket_template_element_positions_data) && $v_ticket_template_element_positions_data != '' && count($v_ticket_template_element_positions_data) > 0) {
										foreach ($v_ticket_template_element_positions_data as $key => $each_element) { ?>
											<div data-element_count="<?php echo $counter_element_dynamic; ?>" class="element_id_<?php echo $counter_element_dynamic; ?> ui-widget-content draggable ui-draggable ui-draggable-handle ui-resizable" style="border: 1px dashed; position: absolute; left: <?php echo $each_element['element_pos_x']; ?>px; top: <?php echo $each_element['element_pos_y']; ?>px; border-radius: 15px; width: <?php echo $each_element['element_width']; ?>px; height: <?php echo $each_element['element_height']; ?>px; padding: 3px; margin: 0px;color: rgb(0, 186, 211); border: none !important;">
												<?php
												if ($each_element['element_type'] == "textarea") { ?>
													<p class="form-control newly_created_element_styling" style="height: <?php echo $each_element['element_height'];?>px; width: <?php echo $each_element['element_width'];?>px;word-break: break-word;"><?php echo $each_element['element_value'];?></p>
													<?php
												} else if ($each_element['element_type'] == "text_feild") { ?>
													<p class="text form-control newly_created_element_styling input_test_printing_styling input_type_text_ticket_template_styling" style="height: <?php echo $each_element['element_height'];?>px; width: <?php echo $each_element['element_width'];?>px;word-break: break-word;"><?php echo $each_element['element_value']; ?></p>
													<input type="hidden" name="fields_data[<?php echo $counter_element_dynamic; ?>][elementType]" value="text_feild">
													<?php
												} else if ($each_element['element_type'] == "file") {
													$v_loc_img_prefix = \E::get('obj_curr_module')->location_get_code_table_data_on_key_name("ticket_template_img_prefix");
													$v_obj_setting['obj'] = \E::get('obj_curr_module');
													$v_att_master_id = $v_loc_img_prefix['key_value'] . $each_element['id'];

													$v_att_id = \E::get('obj_curr_module')->att_get_by_id($v_att_master_id);
													$v_file_id = $v_att_id['sftp_par_id'];

													

													
													
													if (isset($v_file_id)) {
														if( $v_ticket_template_id_main != $v_assigned_ticket_template_id_main) {
															$v_doc1 = \A::attachment_get($v_obj_setting, $v_file_id, TRUE, TRUE);
															$v_image_data = file_get_contents($v_doc1['tmp_name']); // path to file like /var/tmp/...
															$v_master_id_images_arrays[$key] = $v_image_data;
														}
													}

													if ($v_master_id_images_arrays[$key] != "") {
														echo sprintf('<img src="data:image/png;base64,%s" class="preview_po_img_background preview_po_img_background_file<?php echo $counter_element_dynamic;?>" style="display:block" /> ', base64_encode($v_master_id_images_arrays[$key]));
													}
													?>
													<input type="hidden" name="fields_data[<?php echo $counter_element_dynamic; ?>][elementType]" value="file">
													<?php
												}
												?>
												<input type="hidden" class="element_<?php echo $counter_element_dynamic; ?>_xPos" name="fields_data[<?php echo $counter_element_dynamic; ?>][xPos]" value="<?php echo $each_element['element_pos_x']; ?>">
												<input type="hidden" class="element_<?php echo $counter_element_dynamic; ?>_yPos" name="fields_data[<?php echo $counter_element_dynamic; ?>][yPos]" value="<?php echo $each_element['element_pos_y']; ?>">
												<input type="hidden" class="element_<?php echo $counter_element_dynamic; ?>_width" name="fields_data[<?php echo $counter_element_dynamic; ?>][width]" value="<?php echo $each_element['element_width']; ?>">
												<input type="hidden" class="element_<?php echo $counter_element_dynamic; ?>_height" name="fields_data[<?php echo $counter_element_dynamic; ?>][height]" value="<?php echo $each_element['element_height']; ?>">
											</div>
											<?php
											$counter_element_dynamic++;
										}
									}
									?>
									<p class="ticket_date_printing_left"><?php echo \U::safe_display_string(date("d/m/Y H:i:s", strtotime($v_view_data['_rec_created_on']))); ?></p>
									<p class="ticket_reference_number_printing_left"><?php echo $v_view_data['reference_number']; ?></p>

									<p class="ticket_date_printing"><?php echo \U::safe_display_string(date("d/m/Y H:i:s", strtotime($v_view_data['_rec_created_on']))); ?></p>
									<p class="ticket_reference_number_printing"><?php echo $v_view_data['reference_number']; ?></p>
									<p class="ticket_price_printing"><?php echo "RM ".number_format($v_view_data['calculated_price'], 2, '.', ','); ?></p>
									<p class="ticket_price_printing_left"><?php echo "RM ".number_format($v_view_data['calculated_price'], 2, '.', ','); ?></p>
								</div>
							</div>
							<?php
							$v_assigned_ticket_template_id_main = $v_ticket_template_id_main;
						}
					} ?>
				</div>
			</div>
			<?php
		}
		?>
	</div>
</div>
<?php
if ($v_print_type == "print_tickets") {
} else if ($v_print_type == "print_receipts") {
} else { ?>
	<form id="getEmailValues" method="post">
		<input type="hidden" name="transaction_id" id="transaction_id" value="<?php echo $v_ticket_id; ?>">
		<input type="hidden" name="ticket_email_image_base_64_string" id="ticket_email_image_base_64_string" value="">
		<input type="hidden" name="ticket_email_receipt_image_base_64_string" id="ticket_email_receipt_image_base_64_string" value="">
	</form>
	<script type="text/javascript">
		function generateBuyTicketEmail() {
			var v_list_url = '<?php echo \E::get('obj_curr_module')->build_action_path('buy_ticket', 'code_validate_ajax'); ?>';
			var v_form_data = $("#getEmailValues").serialize();
			makePOSTRequest(v_list_url, v_form_data, '', '', '', '', '');
		}
		jQuery(window).on("load", function(){
			$("html, body").scrollTop(0);
			html2canvas(document.getElementById("all_tickets_container"), {scrollY: -window.scrollY}).then(function(canvas) {
				var base_64_image_string = canvas.toDataURL();
				$("#ticket_email_image_base_64_string").val(base_64_image_string);
			});

			html2canvas(document.getElementById("receepit_contaienr_each"), {scrollY: -window.scrollY}).then(function(canvas) {
				var base_64_image_string1 = canvas.toDataURL();
				$("#ticket_email_receipt_image_base_64_string").val(base_64_image_string1);
			});

			var email_Sent = 0;
			var interval = setInterval(doStuff, 500); // 2000 ms = start after 2sec 
			function doStuff() {
			  if( $("#ticket_email_receipt_image_base_64_string").val() != "" && $("#ticket_email_image_base_64_string").val() != "" ) {
			  		clearInterval(interval);
			  		if( email_Sent == 0 ) {
			  			generateBuyTicketEmail();
			  		}
			  		email_Sent = 1;
			  }
			}



		});
	</script>
	<?php
} ?>
<script>
	function printDiv() {
		$(".receipts_main_container").addClass("remove_receipts_in_printing");
		$(".tickets_main_container").removeClass("remove_tickets_in_printing");
		window.print();
	}
	function printDiv_receipts() {
		$(".tickets_main_container").addClass("remove_tickets_in_printing");
		$(".receipts_main_container").removeClass("remove_receipts_in_printing");
		window.print();
	}
</script>