<?php $v_access_add = \E::get('obj_curr_module')->ajax_validation_check_permission('add'); ?>
<div class="content-header pl-0 pb-0 pt-0 mx-n3 px-0">
	<div class="container-fluid">
		<div class="row mb-2">
			<div class="col-sm-12 breadcrumb_container">
				<a href="<?php echo \E::get('obj_curr_module')->build_action_path('home', 'index'); ?>">
					<?php echo \E::get('obj_curr_module_lang')->get('USER_ROLE_BREADCRUMB_HOME'); ?>
				</a> /
				<a href="<?php echo \E::get('obj_curr_module')->build_action_path('system_administrator', 'list'); ?>">
					<?php echo \E::get('obj_curr_module_lang')->get('USER_ROLE_BREADCRUMB_SETUP_CONFIGURATION'); ?>
				</a> /
				<a href="<?php echo \E::get('obj_curr_module')->build_action_path('user_account_maintenance', 'list'); ?>">
					<?php echo \E::get('obj_curr_module_lang')->get('USER_ROLE_BREADCRUMB_USER_ACC_MAINTENANCE'); ?>
				</a> /
				<?php echo \E::get('obj_curr_module_lang')->get('USER_ROLE_BREADCRUMB_USER_PROFILE'); ?>
			</div>
			<div class="col-sm-6 pl-3 pt-3">
				<h5 class="m-0 pb-0 module_name">
					<?php
					if ($v_controller_name == "list") {
						echo \E::get('obj_curr_module_lang')->get('USER_ROLE_LIST');
					}
					?>
				</h5>
			</div>
			<?php
			if ($v_access_add) { ?>
				<div class="col-sm-6">
					<a href="<?php echo \E::get('obj_curr_module')->build_action_path('user_role', 'add'); ?>" class="	btn btn-primary float-right" role="button" !important;>
						<?php echo \E::get('obj_kernel_lang')->get('BTN_ADD'); ?>
					</a>
				</div>
				<?php
			}
			?>
		</div>
	</div>
</div>
<hr/>
<div class="row">
	<div class="input-group pb-3 col-md-8">
		<input type="text" class="form-control" placeholder="<?php echo \E::get('obj_curr_module_lang')->get('USER_ROLE_SEARCH_PLACEHOLDER'); ?>" id="search_by_user_role">
		<div class="input-group-append">
			<button class="btn btn-secondary sidebar-color border-0 w-100" type="button" onclick="search();">
				<i class="fa fa-search text-secondary"></i>
			</button>
		</div>
	</div>
</div>
<div class="table-responsive">
	<table class="table table-bordered" id="data_table" width="100%" cellspacing="0">
		<?php
		$v_currenct_selected_site = \E::get_session('current-selected-site');
		$v_width = "35%";
		?>
		<thead>
		<tr>
			<th width="5%" data-columns-orderable="false">
				<?php echo \E::get('obj_kernel_lang')->get('TBL_NO'); ?>
			</th>
			<th width="<?php echo $v_width; ?>">
				<?php echo \E::get('obj_curr_module_lang')->get('USER_ROLE_NAME_LISTING'); ?>
			</th>
			<th width="<?php echo $v_width; ?>">
				<?php echo \E::get('obj_curr_module_lang')->get('USER_ROLE_DESCRIPTION_LISTING'); ?>
			</th>
			<th width="<?php echo $v_width; ?>">
				<?php echo \E::get('obj_curr_module_lang')->get('USER_ROLE_STATUS_LISTING'); ?>
			</th>
		</tr>
		</thead>
		<tbody>
		</tbody>
	</table>
</div>
<?PHP
\I::load_error();
?>
<script language="javascript">
	var v_list_url = '<?php echo \E::get('obj_curr_module')->build_action_path('user_role', 'list_ajax'); ?>';
	var v_cookie_name = "<?php echo \U::generateUniqueCookieName(MOONLIGHT_DNS_PATH . MOONLIGHT_FOLDER_PATH); ?>_admin_list_user";
	var v_list;
	var v_init = false;
	var v_init_page = 0;
	var v_init_usr_name, v_init_usr_email, v_init_usr_new_ic_no, v_init_short_name, v_init_usr_group, v_init_usr_agency,
		v_init_usr_branch, v_init_usr_authentic_method, v_init_usr_status;
	$(document).ready(
		function () {
			<?php
			$v_session_msg_title = \E::get_session(\E::get('MOONLIGHT_CURRENT_COMPONENT') . '-message-title');
			$v_session_msg = \E::get_session(\E::get('MOONLIGHT_CURRENT_COMPONENT') . '-message');
			$v_session_msg_status = \E::get_session(\E::get('MOONLIGHT_CURRENT_COMPONENT') . '-message-status');
			if($v_session_msg_title != '' && $v_session_msg != ''){
			?>
			Swal.fire({
				title: '<font  class="title_heading">' + "<?php echo $v_session_msg;?>" + '</font>',
				imageUrl: "<?php echo \E::get('obj_curr_module')->get_image_path() . '/success_icon.png';?>",
				imageWidth: 50,
				imageHeight: 50,
				imageAlt: 'Custom image',
				html: '<hr class="sweet_hr" />',
				cancelButtonColor: '#FFF',
				showCancelButton: false,
				cancelButtonText: "Ok",
			});
			<?php
			\E::unset_session(\E::get('MOONLIGHT_CURRENT_COMPONENT') . '-message-title');
			\E::unset_session(\E::get('MOONLIGHT_CURRENT_COMPONENT') . '-message');
			\E::unset_session(\E::get('MOONLIGHT_CURRENT_COMPONENT') . '-message-status');
			}
			?>
			v_list = $('#data_table').DataTable({
				"pagingType": "full_numbers",
				"language": {
					"paginate": {
						"previous": "Previous"
					}
				},
				"dom": "<'row'<'col-sm-12 col-md-6'l><'col-sm-12 col-md-6 text-right'f>><'row'<'col-sm-12'tr>><'row'<'col-sm-12 col-md-6'i><'col text-right pt-1'<'mpage'>><'col-auto'p>>",
				"lengthMenu": [
					[10, 25, 50, -1],
					[10, 25, 50, "All"]
				],
				"responsive": {
					details: {
						display: $.fn.dataTable.Responsive.display.childRowImmediate,
						type: 'none',
						target: ''
					}
				},
				"searching": false,
				"processing": true,
				"serverSide": true,
				"deferRender": true,
				"deferLoading": true,
				"stateSave": true,
				"stateSaveParams": function (settings, data) {
				},
				"stateLoaded": function (settings, data) {
					v_init_page = data.start;
				},
				"ajax": {
					url: v_list_url,
					dataSrc: 'data',
					type: 'GET',
					data: function (d) {
						d['user_role'] = $('#search_by_user_role').val();
						if (v_init == true) {
							d['start'] = v_init_page;
						}
					},
					done: function (data) {
					},
					error: function (err) {
						if (err.responseText.includes('REQUIRED_LOGIN')) {
							window.location = '<?php echo \E::get('obj_curr_module')->build_action_path('user', 'list');?>';
						}
					}
				},
				"drawCallback": function (settings) {
					if (v_init == true) {
						v_init = false;
						var v_info_init = v_list.page.info();
						$('#manual_paging').attr('max', v_info_init.pages).attr('min', 1);
						$('#manual_paging').on('keypress', function (e) {
							if (e.which == 13) {
								var v_info = v_list.page.info();
								if ($('#manual_paging').val() != '' && $('#manual_paging').val() <= v_info.pages && $('#manual_paging').val() > 0) {
									v_list.page(($('#manual_paging').val() - 1)).draw('page');
								}
							}
						});
					}
				},
				"columns": [
					{"data": 'no', "orderable": false},
					{"data": 'name'},
					{"data": 'role'},
					{"data": 'status'},
				],
				"order": [1, "desc"],
				"initComplete": function (settings, json) {
					v_init = true;
					$("div.mpage").html('<input type="number" id="manual_paging" class="text-center" value="" style="width:50px;">');
				}
			}).on('page.dt', function () {
				var v_info = v_list.page.info();
				$('#manual_paging').val((v_info.page + 1));
			}).on('length.dt', function (e, settings, len) {
				var v_info = v_list.page.info();
				$('#manual_paging').attr('max', v_info.pages);
			});
			var v_state = v_list.state.loaded();
			if (v_state) {
				v_init = true;
				v_list.ajax.reload(null, false);
			} else {
				v_list.ajax.reload();
			}
		}
	);
	function search() {
		v_list.ajax.reload();
	}
</script>